    .386
    .model  flat, stdcall
    option  casemap:none

    include \GeneSys\include\windows.inc
    include \GeneSys\macros\macros.asm
    uselib  kernel32,shell32,user32,comctl32

; Prototypes
;---------------------------------------
AddItems        PROTO :DWORD, :DWORD
DlgProc         PROTO :DWORD, :DWORD, :DWORD, :DWORD
InsertColumns   PROTO :DWORD,:DWORD,:DWORD,:DWORD

.const
;---------------------------------------
IDD_DLG1    equ 1500
IDC_LIST1   equ 1501
IDC_LIST2   equ 1502
IDC_LIST3   equ 1503
IDM_EXIT    equ 1504

.data
;---------------------------------------
szColumn1   db  "Opcode+Data",0
szColumn2   db  "Instruction", 0
szColumn3   db  "Explanation", 0
szColumn4   db  "Syntax", 0
szColumn5   db  "Description", 0
Table1      db  "37", 0, "AAA ", 0, "ASCII adjust AL after addition", 0
            db  "D5 0A ", 0, "AAD ", 0, "ASCII adjust AX before division", 0
            db  "D4 0A ", 0, "AAM ", 0, "ASCII adjust AX after multiplication", 0
            db  "3F", 0, "AAS ", 0, "ASCII adjust AL after subtraction", 0
            db  "14       ib ", 0, "ADC AL,imm8 ", 0, "Add with carry ", 0
            db  "15       id ", 0, "ADC EAX,imm32 ", 0, "Add with carry ", 0
            db  "80    /2 ib ", 0, "ADC r/m8,imm8 ", 0, "Add with carry ", 0
            db  "81    /2 id ", 0, "ADC r/m32,imm32 ", 0, "Add with carry", 0
            db  "83    /2 ib ", 0, "ADC r/m32,imm8", 0, "Add with carry", 0
            db  "10    /r", 0, "ADC r/m8,r8 ", 0, "Add with carry ", 0
            db  "11    /r", 0, "ADC r/m32,r32 ", 0, "Add with carry", 0
            db  "12    /r", 0, "ADC r8,r/m8 ", 0, "Add with carry ", 0
            db  "13    /r", 0, "ADC r32,r/m32 ", 0, "Add with carry", 0
            db  "04       ib ", 0, "ADD AL,imm8 ", 0, "Add ", 0
            db  "05       id ", 0, "ADD EAX,imm32 ", 0, "Add ", 0
            db  "80    /0 ib ", 0, "ADD r/m8,imm8 ", 0, "Add ", 0
            db  "81    /0 id ", 0, "ADD r/m32,imm32 ", 0, "Add ", 0
            db  "83    /0 ib ", 0, "ADD r/m32,imm8", 0, "Add ", 0
            db  "00    /r", 0, "ADD r/m8,r8 ", 0, "ADD ", 0
            db  "01    /r", 0, "ADD r/m32,r32 ", 0, "ADD ", 0
            db  "02    /r", 0, "ADD r8,r/m8 ", 0, "ADD ", 0
            db  "03    /r", 0, "ADD r32,r/m32 ", 0, "ADD ", 0
            db  "24       ib ", 0, "AND AL,imm8 ", 0, "AND ", 0
            db  "25       id ", 0, "AND EAX,imm32 ", 0, "AND", 0
            db  "80    /4 ib ", 0, "AND r/m8,imm8 ", 0, "AND", 0
            db  "81    /4 id ", 0, "AND r/m32,imm32 ", 0, "AND", 0
            db  "83    /4 ib ", 0, "AND r/m32,imm8", 0, "AND", 0
            db  "20    /r", 0, "AND r/m8,r8 ", 0, "AND", 0
            db  "21    /r", 0, "AND r/m32,r32 ", 0, "AND", 0
            db  "22    /r", 0, "AND r8,r/m8 ", 0, "AND", 0
            db  "23    /r", 0, "AND r32,r/m32 ", 0, "AND", 0
            db  "63    /r", 0, "ARPL r/m16,r16", 0, "Adjust Request Privilege Level of Sel.", 0
            db  "62    /r", 0, "BOUND r32,m32&32", 0, "Check Array Index Against Bounds", 0
            db  "0F BC /r", 0, "BSF r32,r/m32 ", 0, "Bit scan forward on r/m32", 0
            db  "0F BD /r", 0, "BSR r32,r/m32 ", 0, "Bit scan reverse on r/m32", 0
            db  "0F C8+rd", 0, "BSWAP r32 ", 0, "Reverses the byte order of a r32", 0
            db  "0F A3 /r", 0, "BT r/m32,r32", 0, "Bit Test", 0
            db  "0F BA /4 ib ", 0, "BT r/m32,imm8 ", 0, "Bit Test", 0
            db  "0F BB /r", 0, "BTC r/m32,r32 ", 0, "Bit Test and Complement", 0
            db  "0F BA /7 ib ", 0, "BTC r/m32,imm8", 0, "Bit Test and Complement", 0
            db  "0F B3 /r", 0, "BTR r/m32,r32 ", 0, "Bit Test and Clear", 0
            db  "0F BA /6 ib ", 0, "BTR r/m32,imm8", 0, "Bit Test and Clear", 0
            db  "0F AB /r", 0, "BTS r/m32,r32 ", 0, "Bit Test and Set", 0
            db  "0F BA /5 ib ", 0, "BTS r/m32,imm8", 0, "Bit Test and Set", 0
            db  "E8       cd ", 0, "CALL rel32", 0, "Call near, rel to n.inst", 0
            db  "FF    /2", 0, "CALL r/m32", 0, "Call near, abs.ind.add. given in r/m32", 0
            db  "9A       cp ", 0, "CALL ptr16:32 ", 0, "Call far, abs.add. given in operand", 0
            db  "FF    /3", 0, "CALL m16:32 ", 0, "Call far, abs.ind.add. given in m16:32", 0
            db  "98", 0, "CBW ", 0, "Convert Byte to Word", 0
            db  "99", 0, "CWD ", 0, "Convert Word to Doubleword", 0
            db  "99", 0, "CDQ ", 0, "Convert Doubleword to Quadword ", 0
            db  "F8", 0, "CLC ", 0, "Clear CF flag", 0
            db  "FC", 0, "CLD ", 0, "Clear DF flag", 0
            db  "FA", 0, "CLI ", 0, "Clear interrupt flag", 0
            db  "0F 06 ", 0, "CLTS", 0, "Clear Task-Switched Flag in Control Reg. Zero", 0
            db  "F5", 0, "CMC ", 0, "Complement CF flag", 0
            db  "0F 47 /r", 0, "CMOVA r32,r/m32 ", 0, "Move if above ", 0
            db  "0F 43 /r", 0, "CMOVAE r32,r/m32", 0, "Move if above or equal ", 0
            db  "0F 42 /r", 0, "CMOVB r32,r/m32 ", 0, "Move if below ", 0
            db  "0F 46 /r", 0, "CMOVBE r32,r/m32", 0, "Move if below or equal ", 0
            db  "0F 42 /r", 0, "CMOVC r32,r/m32 ", 0, "Move if carry ", 0
            db  "0F 44 /r", 0, "CMOVE r32,r/m32 ", 0, "Move if equal ", 0
            db  "0F 4F /r", 0, "CMOVG r32,r/m32 ", 0, "Move if greater ", 0
            db  "0F 4D /r", 0, "CMOVGE r32,r/m32", 0, "Move if greater or equal ", 0
            db  "0F 4C /r", 0, "CMOVL r32,r/m32 ", 0, "Move if less ", 0
            db  "0F 4E /r", 0, "CMOVLE r32,r/m32", 0, "Move if less or equal ", 0
            db  "0F 46 /r", 0, "CMOVNA r32,r/m32", 0, "Move if not above ", 0
            db  "0F 42 /r", 0, "CMOVNAE r32,r/m32 ", 0, "Move if not above or equal ", 0
            db  "0F 43 /r", 0, "CMOVNB r32,r/m32", 0, "Move if not below ", 0
            db  "0F 47 /r", 0, "CMOVNBE r32,r/m32 ", 0, "Move if not below or equal ", 0
            db  "0F 43 /r", 0, "CMOVNC r32,r/m32", 0, "Move if not carry ", 0
            db  "0F 45 /r", 0, "CMOVNE r32,r/m32", 0, "Move if not equal ", 0
            db  "0F 4E /r", 0, "CMOVNG r32,r/m32", 0, "Move if not greater ", 0
            db  "0F 4C /r", 0, "CMOVNGE r32,r/m32 ", 0, "Move if not greater or equal ", 0
            db  "0F 4D /r", 0, "CMOVNL r32,r/m32", 0, "Move if not less ", 0
            db  "0F 4F /r", 0, "CMOVNLE r32,r/m32 ", 0, "Move if not less or equal ", 0
            db  "0F 41 /r", 0, "CMOVNO r32,r/m32", 0, "Move if not overflow ", 0
            db  "0F 4B /r", 0, "CMOVNP r32,r/m32", 0, "Move if not parity ", 0
            db  "0F 49 /r", 0, "CMOVNS r32,r/m32", 0, "Move if not sign ", 0
            db  "0F 45 /r", 0, "CMOVNZ r32,r/m32", 0, "Move if not zero ", 0
            db  "0F 40 /r", 0, "CMOVO r32,r/m32 ", 0, "Move if overflow ", 0
            db  "0F 4A /r", 0, "CMOVP r32,r/m32 ", 0, "Move if parity ", 0
            db  "0F 4A /r", 0, "CMOVPE r32,r/m32", 0, "Move if parity even ", 0
            db  "0F 4B /r", 0, "CMOVPO r32,r/m32", 0, "Move if parity odd ", 0
            db  "0F 48 /r", 0, "CMOVS r32,r/m32 ", 0, "Move if sign ", 0
            db  "0F 44 /r", 0, "CMOVZ r32,r/m32 ", 0, "Move if zero ", 0
            db  "3C       ib ", 0, "CMP AL,imm8 ", 0, "Compare ", 0
            db  "3D       id ", 0, "CMP EAX,imm32 ", 0, "Compare ", 0
            db  "80    /7 ib ", 0, "CMP r/m8,imm8 ", 0, "Compare ", 0
            db  "81    /7 id ", 0, "CMP r/m32,imm32 ", 0, "Compare ", 0
            db  "83    /7 ib ", 0, "CMP r/m32,imm8", 0, "Compare ", 0
            db  "38    /r", 0, "CMP r/m8,r8 ", 0, "Compare ", 0
            db  "39    /r", 0, "CMP r/m32,r32 ", 0, "Compare ", 0
            db  "3A    /r", 0, "CMP r8,r/m8 ", 0, "Compare ", 0
            db  "3B    /r", 0, "CMP r32,r/m32 ", 0, "Compare ", 0
            db  "A6", 0, "CMPSB ", 0, "Compare byte at DS:(E)SI with ES:(E)DI ", 0
            db  "A7", 0, "CMPSD ", 0, "Compare dw   at DS:(E)SI with ES:(E)DI", 0
            db  "0F B0 /r", 0, "CMPXCHG r/m8,r8 ", 0, "Compare and Exchange", 0
            db  "0F B1 /r", 0, "CMPXCHG r/m32,r32 ", 0, "Compare and Exchange", 0
            db  "0F C7 /1 m64", 0, "CMPXCHG8B m64 ", 0, "Compare and Exchange", 0
            db  "0F A2 ", 0, "CPUID ", 0, "EAX := Processor id.info.", 0
            db  "27", 0, "DAA ", 0, "Decimal adjust AL after addition", 0
            db  "2F", 0, "DAS ", 0, "Decimal adjust AL after subtraction", 0
            db  "FE    /1", 0, "DEC r/m8", 0, "Decrement r/m8 by 1", 0
            db  "FF    /1", 0, "DEC r/m32 ", 0, "Decrement r/m32 by 1", 0
            db  "48+rd ", 0, "DEC r32 ", 0, "Decrement r32 by 1", 0
            db  "F6    /6", 0, "DIV r/m8", 0, "Unsigned divide AX by r/m8", 0
            db  "F7    /6", 0, "DIV r/m16 ", 0, "Unsigned divide DX:AX by r/m16", 0
            db  "F7    /6", 0, "DIV r/m32 ", 0, "Unsigned divide EDX:EAX by r/m32 ", 0
            db  "0F 77 ", 0, "EMMS", 0, "Set the FP tag word to empty", 0
            db  "C8     iw 00", 0, "ENTER imm16,0 ", 0, "Create a stack frame for a procedure", 0
            db  "C8     iw 01", 0, "ENTER imm16,1 ", 0, "Create a nested stack frame for a proc.", 0
            db  "C8     iw ib", 0, "ENTER imm16,imm8", 0, "Create a nested stack frame for a proc.", 0
            db  "D9 F0 ", 0, "F2XM1 ", 0, "Replace ST(0) with 2**ST(0) - 1", 0
            db  "D9 E1 ", 0, "FABS", 0, "Replace ST(0) with its absolute value", 0
            db  "D8    /0", 0, "FADD m32real", 0, "Add m32real to ST(0) and s.r. in ST(0)", 0
            db  "DC    /0", 0, "FADD m64real", 0, "Add m64real to ST(0) and s.r.in ST(0)", 0
            db  "D8 C0+i ", 0, "FADD ST(0),ST(i)", 0, "Add ST(0) to ST(i) and s.r.in ST(0)", 0
            db  "DC C0+i ", 0, "FADD ST(i),ST(0)", 0, "Add ST(i) to ST(0) and s.r. in ST(i)", 0
            db  "DE C0+i ", 0, "FADDP ST(i),ST(0) ", 0, "Add ST(0) to ST(i), s.r.in ST(i),pop r.stack", 0
            db  "DE C1 ", 0, "FADDP ", 0, "Add ST(0) to ST(1), s.r.in ST(1),pop r.stack", 0
            db  "DA    /0", 0, "FIADD m32int", 0, "Add m32int to ST(0) and s.r.in ST(0)", 0
            db  "DE    /0", 0, "FIADD m16int", 0, "Add m16int to ST(0) and s.r.in ST(0)", 0
            db  "DF    /4", 0, "FBLD m80bcd ", 0, "Convert m80BCD to real and push ", 0
            db  "DF    /6", 0, "FBSTP m80bcd", 0, "Store ST(0) in m80bcd and pop ST(0)", 0
            db  "D9 E0 ", 0, "FCHS", 0, "Complements sign of ST(0)", 0
            db  "9B DB E2", 0, "FCLEX ", 0, "Clear f.e.f. after checking for ..", 0
            db  "DB E2 ", 0, "FNCLEX", 0, "Clear f.e.f. without checking for ..", 0
            db  "DA C0+i ", 0, "FCMOVB ST(0),ST(i)", 0, "Move if below ", 0
            db  "DA C8+i ", 0, "FCMOVE ST(0),ST(i)", 0, "Move if equal ", 0
            db  "DA D0+i ", 0, "FCMOVBE ST(0),ST(i) ", 0, "Move if below or equal ", 0
            db  "DA D8+i ", 0, "FCMOVU ST(0),ST(i)", 0, "Move if unordered ", 0
            db  "DB C0+i ", 0, "FCMOVNB ST(0),ST(i) ", 0, "Move if not below ", 0
            db  "DB C8+i ", 0, "FCMOVNE ST(0),ST(i) ", 0, "Move if not equal ", 0
            db  "DB D0+i ", 0, "FCMOVNBE ST(0),ST(i)", 0, "Move if not below or equal ", 0
            db  "DB D8+i ", 0, "FCMOVNU ST(0),ST(i) ", 0, "Move if not unordered ", 0
            db  "D8    /2", 0, "FCOM m32real", 0, "Compare ST(0) with m32real.", 0
            db  "DC    /2", 0, "FCOM m64real", 0, "Compare ST(0) with m64real.", 0
            db  "D8 D0+i ", 0, "FCOM ST(i)", 0, "Compare ST(0) with ST(i).", 0
            db  "D8 D1 ", 0, "FCOM", 0, "Compare ST(0) with ST(1).", 0
            db  "D8    /3", 0, "FCOMP m32real ", 0, "Compare ST(0) with m32real,pop r.stack.", 0
            db  "DC    /3", 0, "FCOMP m64real ", 0, "Compare ST(0) with m64real,pop r.stack.", 0
            db  "D8 D8+i ", 0, "FCOMP ST(i) ", 0, "Compare ST(0) with ST(i), pop ", 0
            db  "D8 D9 ", 0, "FCOMP ", 0, "Compare ST(0) with ST(1), pop ", 0
            db  "DE D9 ", 0, "FCOMPP", 0, "Compare ST(0) with ST(1), pop pop", 0
            db  "DB F0+i ", 0, "FCOMI ST,ST(i)", 0, "Compare ST(0) with ST(i), set status flags", 0
            db  "DF F0+i ", 0, "FCOMIP ST,ST(i) ", 0, "Compare ST(0) with ST(i), set s.f. ,pop ", 0
            db  "DB E8+i ", 0, "FUCOMI ST,ST(i) ", 0, "Compare ST(0) with ST(i), check o.v.set s.f.", 0
            db  "DF E8+i ", 0, "FUCOMIP ST,ST(i)", 0, "Compare ST(0) with ST(i), check ovssf pop ", 0
            db  "D9 FF ", 0, "FCOS", 0, "Replace ST(0) with its cosine", 0
            db  "D9 F6 ", 0, "FDECSTP ", 0, "Decrement TOP field in FPU status word.", 0
            db  "D8    /6", 0, "FDIV m32real", 0, "Divide ST(0) by m32real and s.r.in ST(0)", 0
            db  "DC    /6", 0, "FDIV m64real", 0, "Divide ST(0) by m64real and s.r.in ST(0)", 0
            db  "D8 F0+i ", 0, "FDIV ST(0),ST(i)", 0, "Divide ST(0) by ST(i) and s.r.in ST(0)", 0
            db  "DC F8+i ", 0, "FDIV ST(i),ST(0)", 0, "Divide ST(i) by ST(0) and s.r.in ST(i)", 0
            db  "DE F8+i ", 0, "FDIVP ST(i),ST(0) ", 0, "Divide ST(i) by ST(0), s.r.in ST(i) pop ", 0
            db  "DE F9 ", 0, "FDIVP ", 0, "Divide ST(1) by ST(0), s.r.in ST(1) pop ", 0
            db  "DA    /6", 0, "FIDIV m32int", 0, "Divide ST(0) by m32int and s.r.in ST(0)", 0
            db  "DE    /6", 0, "FIDIV m16int", 0, "Divide ST(0) by m64int and s.r.in ST(0)", 0
            db  "D8    /7", 0, "FDIVR m32real ", 0, "Divide m32real by ST(0) and s.r.in ST(0)", 0
            db  "DC    /7", 0, "FDIVR m64real ", 0, "Divide m64real by ST(0) and s.r.in ST(0)", 0
            db  "D8 F8+i ", 0, "FDIVR ST(0),ST(i) ", 0, "Divide ST(i) by ST(0) and s.r.in ST(0)", 0
            db  "DC F0+i ", 0, "FDIVR ST(i),ST(0) ", 0, "Divide ST(0) by ST(i) and s.r.in ST(i)", 0
            db  "DE F0+i ", 0, "FDIVRP ST(i),ST(0)", 0, "Divide ST(0) by ST(i), s.r.in ST(i) pop ", 0
            db  "DE F1 ", 0, "FDIVRP", 0, "Divide ST(0) by ST(1), s.r.in ST(1) pop ", 0
            db  "DA    /7", 0, "FIDIVR m32int ", 0, "Divide m32int by ST(0) and s.r.in ST(0)", 0
            db  "DE    /7", 0, "FIDIVR m16int ", 0, "Divide m64int by ST(0) and s.r.in ST(0)", 0
            db  "DD C0+i ", 0, "FFREE ST(i) ", 0, "Sets tag for ST(i) to empty", 0
            db  "DE    /2", 0, "FICOM m16int", 0, "Compare ST(0) with m16int", 0
            db  "DA    /2", 0, "FICOM m32int", 0, "Compare ST(0) with m32int", 0
            db  "DE    /3", 0, "FICOMP m16int ", 0, "Compare ST(0) with m16int and pop ", 0
            db  "DA    /3", 0, "FICOMP m32int ", 0, "Compare ST(0) with m32int and pop ", 0
            db  "DF    /0", 0, "FILD m16int ", 0, "Push m16int ", 0
            db  "DB    /0", 0, "FILD m32int ", 0, "Push m32int ", 0
            db  "DF    /5", 0, "FILD m64int ", 0, "Push m64int ", 0
            db  "D9 F7 ", 0, "FINCSTP ", 0, "Increment the TOP field FPU status r.", 0
            db  "9B DB E3", 0, "FINIT ", 0, "Initialize FPU after ...", 0
            db  "DB E3 ", 0, "FNINIT", 0, "Initialize FPU without ...", 0
            db  "DF    /2", 0, "FIST m16int ", 0, "Store ST(0) in m16int", 0
            db  "DB    /2", 0, "FIST m32int ", 0, "Store ST(0) in m32int", 0
            db  "DF    /3", 0, "FISTP m16int", 0, "Store ST(0) in m16int and pop ", 0
            db  "DB    /3", 0, "FISTP m32int", 0, "Store ST(0) in m32int and pop ", 0
            db  "DF    /7", 0, "FISTP m64int", 0, "Store ST(0) in m64int and pop ", 0
            db  "D9    /0", 0, "FLD m32real ", 0, "Push m32real ", 0
            db  "DD    /0", 0, "FLD m64real ", 0, "Push m64real ", 0
            db  "DB    /5", 0, "FLD m80real ", 0, "Push m80real ", 0
            db  "D9 C0+i ", 0, "FLD ST(i) ", 0, "Push ST(i) ", 0
            db  "D9 E8 ", 0, "FLD1", 0, "Push +1.0 ", 0
            db  "D9 E9 ", 0, "FLDL2T", 0, "Push log2 10 ", 0
            db  "D9 EA ", 0, "FLDL2E", 0, "Push log2 e ", 0
            db  "D9 EB ", 0, "FLDPI ", 0, "Push pi ", 0
            db  "D9 EC ", 0, "FLDLG2", 0, "Push log10 2 ", 0
            db  "D9 ED ", 0, "FLDLN2", 0, "Push loge 2 ", 0
            db  "D9 EE ", 0, "FLDZ", 0, "Push +0.0 ", 0
            db  "D9    /5", 0, "FLDCW m2byte", 0, "Load FPU control word from m2byte", 0
            db  "D9    /4", 0, "FLDENV m14/28byte ", 0, "Load FPU environment from m14/m28", 0
            db  "D8    /1", 0, "FMUL m32real", 0, "Multiply ST(0) by m32real and s.r.in ST(0)", 0
            db  "DC    /1", 0, "FMUL m64real", 0, "Multiply ST(0) by m64real and s.r.in ST(0)", 0
            db  "D8 C8+i ", 0, "FMUL ST(0),ST(i)", 0, "Multiply ST(0) by ST(i) and s.r.in ST(0)", 0
            db  "DC C8+i ", 0, "FMUL ST(i),ST(0)", 0, "Multiply ST(i) by ST(0) and s.r.in ST(i)", 0
            db  "DE C8+i ", 0, "FMULP ST(i),ST(0) ", 0, "Multiply ST(i) by ST(0), s.r.in ST(i) pop ", 0
            db  "DE C9 ", 0, "FMULP ", 0, "Multiply ST(1) by ST(0), s.r.in ST(1) pop ", 0
            db  "DA    /1", 0, "FIMUL m32int", 0, "Multiply ST(0) by m32int and s.r.in ST(0)", 0
            db  "DE    /1", 0, "FIMUL m16int", 0, "Multiply ST(0) by m16int and s.r.in ST(0)", 0
            db  "D9 D0 ", 0, "FNOP", 0, "No operation is performed", 0
            db  "D9 F3 ", 0, "FPATAN", 0, "Repalces ST(1) with arctan(ST(1)/ST(0)) pop ", 0
            db  "D9 F8 ", 0, "FPREM ", 0, "Replaces ST(0) with rem (ST(0)/ST(1))", 0
            db  "D9 F5 ", 0, "FPREM1", 0, "Replaces ST(0) with IEEE rem(ST(0)/ST(1))", 0
            db  "D9 F2 ", 0, "FPTAN ", 0, "Replaces ST(0) with its tangent push 1.0", 0
            db  "D9 FC ", 0, "FRNDINT ", 0, "Round ST(0) to an integer", 0
            db  "DD    /4", 0, "FRSTOR m94/108byte", 0, "Load FPU status from m94 or m108 byte", 0
            db  "9B DD /6", 0, "FSAVE m94/108byte ", 0, "Store FPU status to m94 or m108", 0
            db  "DD    /6", 0, "FNSAVE m94/108byte", 0, "Store FPU environment to m94 or m108", 0
            db  "D9 FD ", 0, "FSCALE", 0, "Scale ST(0) by ST(1)", 0
            db  "D9 FE ", 0, "FSIN", 0, "Replace ST(0) with its sine", 0
            db  "D9 FB ", 0, "FSINCOS ", 0, "Compute sine and consine of ST(0) s push c", 0
            db  "D9 FA ", 0, "FSQRT ", 0, "square root of ST(0)", 0
            db  "D9    /2", 0, "FST m32real ", 0, "Copy ST(0) to m32real", 0
            db  "DD    /2", 0, "FST m64real ", 0, "Copy ST(0) to m64real", 0
            db  "DD D0+i ", 0, "FST ST(i) ", 0, "Copy ST(0) to ST(i)", 0
            db  "D9    /3", 0, "FSTP m32real", 0, "Copy ST(0) to m32real and pop ", 0
            db  "DD    /3", 0, "FSTP m64real", 0, "Copy ST(0) to m64real and pop ", 0
            db  "DB    /7", 0, "FSTP m80real", 0, "Copy ST(0) to m80real and pop ", 0
            db  "DD D8+i ", 0, "FSTP ST(i)", 0, "Copy ST(0) to ST(i) and pop ", 0
            db  "9B D9 /7", 0, "FSTCW m2byte", 0, "Store FPU control word", 0
            db  "D9    /7", 0, "FNSTCW m2byte ", 0, "Store FPU control word without", 0
            db  "9B D9 /6", 0, "FSTENV m14/28byte ", 0, "Store FPU environment", 0
            db  "D9    /6", 0, "FNSTENV m14/28byte", 0, "Store FPU env without", 0
            db  "9B DD /7", 0, "FSTSW m2byte", 0, "Store FPU status word at m2byte after ", 0
            db  "9B DF E0", 0, "FSTSW AX", 0, "Store FPU status word in AX  after ", 0
            db  "DD    /7", 0, "FNSTSW m2byte ", 0, "Store FPU status word at m2byte without ", 0
            db  "DF E0 ", 0, "FNSTSW AX ", 0, "Store FPU status word in AX without ", 0
            db  "D8    /4", 0, "FSUB m32real", 0, "Sub m32real from ST(0) and s.r.in ST(0)", 0
            db  "DC    /4", 0, "FSUB m64real", 0, "Sub m64real from ST(0) and s.r.in ST(0)", 0
            db  "D8 E0+i ", 0, "FSUB ST(0),ST(i)", 0, "Sub ST(i) from ST(0) and s.r.in ST(0)", 0
            db  "DC E8+i ", 0, "FSUB ST(i),ST(0)", 0, "Sub ST(0) from ST(i) and s.r.in ST(i)", 0
            db  "DE E8+i ", 0, "FSUBP ST(i),ST(0) ", 0, "Sub ST(0) from ST(i), s.r.in ST(i) pop", 0
            db  "DE E9 ", 0, "FSUBP ", 0, "Sub ST(0) from ST(1), s.r.in ST(1) pop ", 0
            db  "DA    /4", 0, "FISUB m32int", 0, "Sub m32int from ST(0) and s.r.in ST(0)", 0
            db  "DE    /4", 0, "FISUB m16int", 0, "Sub m16int from ST(0) and s.r.in ST(0)", 0
            db  "D8    /5", 0, "FSUBR m32real ", 0, "Sub ST(0) from m32real and s.r.in ST(0)", 0
            db  "DC    /5", 0, "FSUBR m64real ", 0, "Sub ST(0) from m64real and s.r.in ST(0)", 0
            db  "D8 E8+i ", 0, "FSUBR ST(0),ST(i) ", 0, "Sub ST(0) from ST(i) and s.r.in ST(0)", 0
            db  "DC E0+i ", 0, "FSUBR ST(i),ST(0) ", 0, "Sub ST(i) from ST(0) and s.r.in ST(i)", 0
            db  "DE E0+i ", 0, "FSUBRP ST(i),ST(0)", 0, "Sub ST(i) from ST(0), s.r. in ST(i) pop ", 0
            db  "DE E1 ", 0, "FSUBRP", 0, "Sub ST(1) from ST(0), s.r.in ST(1) pop ", 0
            db  "DA    /5", 0, "FISUBR m32int ", 0, "Sub ST(0) from m32int and s.r.in ST(0)", 0
            db  "DE    /5", 0, "FISUBR m16int ", 0, "Sub ST(0) from m16int and s.r.in ST(0)", 0
            db  "D9 E4 ", 0, "FTST", 0, "Compare ST(0) with 0.0", 0
            db  "DD E0+i ", 0, "FUCOM ST(i) ", 0, "Compare ST(0) with ST(i)", 0
            db  "DD E1 ", 0, "FUCOM ", 0, "Compare ST(0) with ST(1)", 0
            db  "DD E8+i ", 0, "FUCOMP ST(i)", 0, "Compare ST(0) with ST(i) and pop ", 0
            db  "DD E9 ", 0, "FUCOMP", 0, "Compare ST(0) with ST(1) and pop ", 0
            db  "DA E9 ", 0, "FUCOMPP ", 0, "Compare ST(0) with ST(1) and pop pop", 0
            db  "D9 E5 ", 0, "FXAM", 0, "Classify value or number in ST(0)", 0
            db  "D9 C8+i ", 0, "FXCH ST(i)", 0, "Exchange ST(0) and ST(i)", 0
            db  "D9 C9 ", 0, "FXCH", 0, "Exchange ST(0) and ST(1)", 0
            db  "D9 F4 ", 0, "FXTRACT ", 0, "Seperate value in ST(0) exp. and sig.", 0
            db  "D9 F1 ", 0, "FYL2X ", 0, "Replace ST(1) with ST(1)*log2ST(0) and pop", 0
            db  "D9 F9 ", 0, "FYL2XP1 ", 0, "Replace ST(1) with ST(1)*log2(ST(0)+1) pop", 0
            db  "F4", 0, "HLT ", 0, "Halt", 0
            db  "F6    /7", 0, "IDIV r/m8 ", 0, "Divide ", 0
            db  "F7    /7", 0, "IDIV r/m32", 0, "Divide", 0
            db  "F6    /5", 0, "IMUL r/m8 ", 0, "Multiply", 0
            db  "F7    /5", 0, "IMUL r/m32", 0, "Multiply", 0
            db  "0F AF /r", 0, "IMUL r32,r/m32", 0, "Multiply", 0
            db  "6B    /r ib ", 0, "IMUL r32,r/m32,imm8 ", 0, "Multiply", 0
            db  "6B    /r ib ", 0, "IMUL r32,imm8 ", 0, "Multiply", 0
            db  "69    /r id ", 0, "IMUL r32,r/m32,imm32", 0, "Multiply", 0
            db  "69    /r id ", 0, "IMUL r32,imm32", 0, "Multiply", 0
            db  "E4       ib ", 0, "IN AL,imm8", 0, "Input byte from imm8 I/O port address into AL", 0
            db  "E5       ib ", 0, "IN EAX,imm8 ", 0, "Input byte from imm8 I/O port address into EAX", 0
            db  "EC", 0, "IN AL,DX", 0, "Input byte from I/O port in DX into AL", 0
            db  "ED", 0, "IN EAX,DX ", 0, "Input doubleword from I/O port in DX into EAX", 0
            db  "FE    /0", 0, "INC r/m8", 0, "Increment 1", 0
            db  "FF    /0", 0, "INC r/m32 ", 0, "Increment 1", 0
            db  "40+rd ", 0, "INC r32 ", 0, "Increment register by 1", 0
            db  "6C", 0, "INS m8", 0, "Input byte from I/O(DX) into  ES:(E)DI", 0
            db  "6D", 0, "INS m32 ", 0, "Input dw from I/O(DX) into ES:(E)DI", 0
            db  "CC", 0, "INT 3 ", 0, "Interrupt 3--trap to debugger", 0
            db  "CD       ib ", 0, "INT imm8", 0, "Interrupt vector number (imm8)", 0
            db  "CE", 0, "INTO", 0, "Interrupt 4--if overflow flag is 1", 0
            db  "0F 08 ", 0, "INVD", 0, "Flush internal caches", 0
            db  "0F 01 /7", 0, "INVLPG m", 0, "Invalidate TLB Entry for page (m)", 0
            db  "CF", 0, "IRETD ", 0, "Interrupt return(32)", 0
            db  "77       cb ", 0, "JA rel8 ", 0, "Jump short if above ", 0
            db  "73       cb ", 0, "JAE rel8", 0, "Jump short if above or equal ", 0
            db  "76       cb ", 0, "JBE rel8", 0, "Jump short if below or equal ", 0
            db  "72       cb ", 0, "JC rel8 ", 0, "Jump short if carry ", 0
            db  "E3       cb ", 0, "JECXZ rel8", 0, "Jump short if ECX register is 0", 0
            db  "74       cb ", 0, "JE rel8 ", 0, "Jump short if equal ", 0
            db  "7F       cb ", 0, "JG rel8 ", 0, "Jump short if greater ", 0
            db  "7D       cb ", 0, "JGE rel8", 0, "Jump short if greater or equal ", 0
            db  "7C       cb ", 0, "JL rel8 ", 0, "Jump short if less ", 0
            db  "7E       cb ", 0, "JLE rel8", 0, "Jump short if less or equal ", 0
            db  "75       cb ", 0, "JNE rel8", 0, "Jump short if not equal ", 0
            db  "71       cb ", 0, "JNO rel8", 0, "Jump short if not overflow ", 0
            db  "79       cb ", 0, "JNS rel8", 0, "Jump short if not sign ", 0
            db  "70       cb ", 0, "JO rel8 ", 0, "Jump short if overflow ", 0
            db  "7A       cb ", 0, "JPE rel8", 0, "Jump short if parity even ", 0
            db  "7B       cb ", 0, "JPO rel8", 0, "Jump short if parity odd ", 0
            db  "78       cb ", 0, "JS rel8 ", 0, "Jump short if sign ", 0
            db  "0F 87    cd ", 0, "JA rel32", 0, "Jump near if above ", 0
            db  "0F 83    cd ", 0, "JAE rel32 ", 0, "Jump near if above or equal ", 0
            db  "0F 82    cd ", 0, "JB rel32", 0, "Jump near if below ", 0
            db  "0F 86    cd ", 0, "JBE rel32 ", 0, "Jump near if below or equal ", 0
            db  "0F 84    cd ", 0, "JE rel32", 0, "Jump near if equal ", 0
            db  "0F 8F    cd ", 0, "JG rel32", 0, "Jump near if greater ", 0
            db  "0F 8D    cd ", 0, "JGE rel32 ", 0, "Jump near if greater or equal ", 0
            db  "0F 8C    cd ", 0, "JL rel32", 0, "Jump near if less ", 0
            db  "0F 8E    cd ", 0, "JLE rel32 ", 0, "Jump near if less or equal ", 0
            db  "0F 85    cd ", 0, "JNE rel32 ", 0, "Jump near if not equal ", 0
            db  "0F 81    cd ", 0, "JNO rel32 ", 0, "Jump near if not overflow ", 0
            db  "0F 89    cd ", 0, "JNS rel32 ", 0, "Jump near if not sign ", 0
            db  "0F 80    cd ", 0, "JO rel32", 0, "Jump near if overflow ", 0
            db  "0F 8A    cd ", 0, "JPE rel32 ", 0, "Jump near if parity even ", 0
            db  "0F 8B    cd ", 0, "JPO rel32 ", 0, "Jump near if parity odd ", 0
            db  "0F 88    cd ", 0, "JS rel32", 0, "Jump near if sign ", 0
            db  "EB       cb ", 0, "JMP rel8", 0, "Jump short, relative, ", 0
            db  "E9       cd ", 0, "JMP rel32 ", 0, "Jump near, relative, ", 0
            db  "FF    /4", 0, "JMP r/m32 ", 0, "Jump near, abs.ind.in r/m32", 0
            db  "EA       cp ", 0, "JMP ptr16:32", 0, "Jump far, abs.add given in operand", 0
            db  "FF    /r", 0, "JMP m16:32", 0, "Jump far, abs.ind.in m16:32", 0
            db  "9F", 0, "LAHF", 0, "Load Status Flags into AH ", 0
            db  "0F 02 /r", 0, "LAR r32,r/m32 ", 0, "Load Access Rights Byte ", 0
            db  "C5    /r", 0, "LDS r32,m16:32", 0, "Load DS:r32 with far ptr", 0
            db  "8D    /r", 0, "LEA r32,m ", 0, "Load effective address", 0
            db  "C9", 0, "LEAVE ", 0, "Set ESP to EBP, then pop EBP", 0
            db  "C4    /r", 0, "LES r32,m16:32", 0, "Load ES:r32 with far ptr ", 0
            db  "0F B4 /r", 0, "LFS r32,m16:32", 0, "Load FS:r32 with far ptr", 0
            db  "0F B5 /r", 0, "LGS r32,m16:32", 0, "Load GS:r32 with far ptr", 0
            db  "0F 01 /2", 0, "LGDT m16&32 ", 0, "Load m into GDTR", 0
            db  "0F 01 /3", 0, "LIDT m16&32 ", 0, "Load m into IDTR", 0
            db  "0F 00 /2", 0, "LLDT r/m16", 0, "Load segment selector r/m16 into LDTR", 0
            db  "0F 01 /6", 0, "LMSW r/m16", 0, "Load r/m16 in machine status word of CR0", 0
            db  "F0", 0, "LOCK", 0, "Asserts LOCK signal for duration ..", 0
            db  "AC", 0, "LODS m8 ", 0, "Load byte at address DS:(E)SI into AL", 0
            db  "AD", 0, "LODS m32", 0, "Load dword at address DS:(E)SI into EAX", 0
            db  "E2       cb ", 0, "LOOP rel8 ", 0, "Dec count;jump if count # 0", 0
            db  "E1       cb ", 0, "LOOPE rel8", 0, "Dec count;jump if count # 0 and ZF=1", 0
            db  "E1       cb ", 0, "LOOPZ rel8", 0, "Dec count;jump if count # 0 and ZF=1", 0
            db  "E0       cb ", 0, "LOOPNE rel8 ", 0, "Dec count;jump if count # 0 and ZF=0", 0
            db  "E0       cb ", 0, "LOOPNZ rel8 ", 0, "Dec count;jump if count # 0 and ZF=0", 0
            db  "0F 03 /r", 0, "LSL r16,r/m16 ", 0, "Load Segment Limit", 0
            db  "0F 03 /r", 0, "LSL r32,r/m32 ", 0, "Load Segment Limit", 0
            db  "0F B2 /r", 0, "LSS r32,m16:32", 0, "Load SS:r32 with far ptr", 0
            db  "0F 00 /3", 0, "LTR r/m16 ", 0, "Load Task Register", 0
            db  "88    /r", 0, "MOV r/m8,r8 ", 0, "Move ", 0
            db  "89    /r", 0, "MOV r/m32,r32 ", 0, "Move ", 0
            db  "8A    /r", 0, "MOV r8,r/m8 ", 0, "Move ", 0
            db  "8B    /r", 0, "MOV r32,r/m32 ", 0, "Move ", 0
            db  "8C    /r", 0, "MOV r/m16,Sreg**", 0, "Move segment register to r/m16", 0
            db  "8E    /r", 0, "MOV Sreg,r/m16**", 0, "Move r/m16 to segment register", 0
            db  "A0", 0, "MOV AL, moffs8* ", 0, "Move byte at ( seg:offset) to AL", 0
            db  "A1", 0, "MOV AX, moffs16*", 0, "Move word at ( seg:offset) to AX", 0
            db  "A1", 0, "MOV EAX, moffs32* ", 0, "Move dword at ( seg:offset) to EAX", 0
            db  "A2", 0, "MOV moffs8*,AL", 0, "Move AL to ( seg:offset)", 0
            db  "A3", 0, "MOV moffs16*,AX ", 0, "Move AX to ( seg:offset)", 0
            db  "A3", 0, "MOV moffs32*,EAX", 0, "Move EAX to ( seg:offset)", 0
            db  "B0+rb ", 0, "MOV r8,imm8 ", 0, "Move imm8 to r8", 0
            db  "B8+rd ", 0, "MOV r32,imm32 ", 0, "Move imm32 to r32", 0
            db  "C6    /0 ib ", 0, "MOV r/m8,imm8 ", 0, "Move imm8 to r/m8", 0
            db  "C7    /0 id ", 0, "MOV r/m32,imm32 ", 0, "Move imm32 to r/m32", 0
            db  "0F 22 /r", 0, "MOV CR0, r32", 0, "Move r32 to CR0", 0
            db  "0F 22 /r", 0, "MOV CR2, r32", 0, "Move r32 to CR2", 0
            db  "0F 22 /r", 0, "MOV CR3, r32", 0, "Move r32 to CR3", 0
            db  "0F 22 /r", 0, "MOV CR4, r32", 0, "Move r32 to CR4", 0
            db  "0F 20 /r", 0, "MOV r32,CR0 ", 0, "Move CR0 to r32", 0
            db  "0F 20 /r", 0, "MOV r32,CR2 ", 0, "Move CR2 to r32", 0
            db  "0F 20 /r", 0, "MOV r32,CR3 ", 0, "Move CR3 to r32", 0
            db  "0F 20 /r", 0, "MOV r32,CR4 ", 0, "Move CR4 to r32", 0
            db  "0F 21 /r", 0, "MOV r32,DR0-DR7 ", 0, "Move debug register to r32", 0
            db  "0F 23 /r", 0, "MOV DR0-DR7,r32 ", 0, "Move r32 to debug register", 0
            db  "0F 6E /r", 0, "MOVD mm,r/m32 ", 0, "Move doubleword from r/m32 to mm", 0
            db  "0F 7E /r", 0, "MOVD r/m32,mm ", 0, "Move doubleword from mm to r/m32", 0
            db  "0F 6F /r", 0, "MOVQ mm,mm/m64", 0, "Move quadword from mm/m64 to mm", 0
            db  "0F 7F /r", 0, "MOVQ mm/m64,mm", 0, "Move quadword from mm to mm/m64", 0
            db  "A4", 0, "MOVS m8,m8", 0, "Move byte at DS:(E)SI to  ES:(E)DI", 0
            db  "A5", 0, "MOVS m32,m32", 0, "Move dword at DS:(E)SI to  ES:(E)DI", 0
            db  "0F BE /r", 0, "MOVSX r32,r/m8", 0, "Move byte to doubleword, sign-extension", 0
            db  "0F BF /r", 0, "MOVSX r32,r/m16 ", 0, "Move word to doubleword, sign-extension", 0
            db  "0F B6 /r", 0, "MOVZX r32,r/m8", 0, "Move byte to doubleword, zero-extension", 0
            db  "0F B7 /r", 0, "MOVZX r32,r/m16 ", 0, "Move word to doubleword, zero-extension", 0
            db  "F6    /4", 0, "MUL r/m8", 0, "Unsigned multiply ", 0
            db  "F7    /4", 0, "MUL r/m32 ", 0, "Unsigned multiply ", 0
            db  "F6    /3", 0, "NEG r/m8", 0, "Two's complement negate r/m8", 0
            db  "F7    /3", 0, "NEG r/m32 ", 0, "Two's complement negate r/m32", 0
            db  "90", 0, "NOP ", 0, "No operation", 0
            db  "F6    /2", 0, "NOT r/m8", 0, "Reverse each bit of r/m8", 0
            db  "F7    /2", 0, "NOT r/m32 ", 0, "Reverse each bit of r/m32", 0
            db  "0C       ib ", 0, "OR AL,imm8", 0, "OR", 0
            db  "0D       id ", 0, "OR EAX,imm32", 0, "OR ", 0
            db  "80    /1 ib ", 0, "OR r/m8,imm8", 0, "OR ", 0
            db  "81    /1 id ", 0, "OR r/m32,imm32", 0, "OR ", 0
            db  "83    /1 ib ", 0, "OR r/m32,imm8 ", 0, "OR ", 0
            db  "08    /r", 0, "OR r/m8,r8", 0, "OR ", 0
            db  "09    /r", 0, "OR r/m32,r32", 0, "OR ", 0
            db  "0A    /r", 0, "OR r8,r/m8", 0, "OR ", 0
            db  "0B    /r", 0, "OR r32,r/m32", 0, "OR ", 0
            db  "E6       ib ", 0, "OUT imm8,AL ", 0, "Output byte in AL to I/O(imm8)", 0
            db  "E7       ib ", 0, "OUT imm8,EAX", 0, "Output dword in EAX to I/O(imm8)", 0
            db  "EE", 0, "OUT DX,AL ", 0, "Output byte in AL to I/O(DX)", 0
            db  "EF", 0, "OUT DX,EAX", 0, "Output dword in EAX to I/O(DX)", 0
            db  "6E", 0, "OUTS DX,m8", 0, "Output byte from DS:(E)SI to I/O(DX)", 0
            db  "6F", 0, "OUTS DX,m32 ", 0, "Output dword from DS:(E)SI to I/O (DX)", 0
            db  "0F 63 /r", 0, "PACKSSWB mm,mm/m64", 0, "Pack with Signed Saturation", 0
            db  "0F 6B /r", 0, "PACKSSDW mm,mm/m64", 0, "Pack with Signed Saturation", 0
            db  "0F 67 /r", 0, "PACKUSWB mm,mm/m64", 0, "Pack with Unsigned Saturation", 0
            db  "0F FC /r", 0, "PADDB mm,mm/m64 ", 0, "Add packed bytes ", 0
            db  "0F FD /r", 0, "PADDW mm,mm/m64 ", 0, "Add packed words ", 0
            db  "0F FE /r", 0, "PADDD mm,mm/m64 ", 0, "Add packed dwords ", 0
            db  "0F EC /r", 0, "PADDSB mm,mm/m64", 0, "Add signed packed bytes ", 0
            db  "0F ED /r", 0, "PADDSW mm,mm/m64", 0, "Add signed packed words ", 0
            db  "0F DC /r", 0, "PADDUSB mm,mm/m64 ", 0, "Add unsigned pkd bytes ", 0
            db  "0F DD /r", 0, "PADDUSW mm,mm/m64 ", 0, "Add unsigned pkd words ", 0
            db  "0F DB /r", 0, "PAND mm,mm/m64", 0, "AND quadword from .. to ..", 0
            db  "0F DF /r", 0, "PANDN mm,mm/m64 ", 0, "And qword from .. to NOT qw in mm", 0
            db  "0F 74 /r", 0, "PCMPEQB mm,mm/m64 ", 0, "Packed Compare for Equal", 0
            db  "0F 75 /r", 0, "PCMPEQW mm,mm/m64 ", 0, "Packed Compare for Equal", 0
            db  "0F 76 /r", 0, "PCMPEQD mm,mm/m64 ", 0, "Packed Compare for Equal", 0
            db  "0F 64 /r", 0, "PCMPGTB mm,mm/m64 ", 0, "Packed Compare for GT", 0
            db  "0F 65 /r", 0, "PCMPGTW mm,mm/m64 ", 0, "Packed Compare for GT", 0
            db  "0F 66 /r", 0, "PCMPGTD mm,mm/m64 ", 0, "Packed Compare for GT", 0
            db  "0F F5 /r", 0, "PMADDWD mm,mm/m64 ", 0, "Packed Multiply and Add", 0
            db  "0F E5 /r", 0, "PMULHW mm,mm/m64", 0, "Packed Multiply High", 0
            db  "0F D5 /r", 0, "PMULLW mm,mm/m64", 0, "Packed Multiply Low", 0
            db  "8F    /0", 0, "POP m32 ", 0, "Pop m32", 0
            db  "58+rd ", 0, "POP r32 ", 0, "Pop r32", 0
            db  "1F", 0, "POP DS", 0, "Pop DS", 0
            db  "07", 0, "POP ES", 0, "Pop ES", 0
            db  "17", 0, "POP SS", 0, "Pop SS", 0
            db  "0F A1 ", 0, "POP FS", 0, "Pop FS", 0
            db  "0F A9 ", 0, "POP GS", 0, "Pop GS", 0
            db  "61", 0, "POPAD ", 0, "Pop EDI,... and EAX", 0
            db  "9D", 0, "POPFD ", 0, "Pop Stack into EFLAGS Register", 0
            db  "0F EB /r", 0, "POR mm,mm/m64 ", 0, "OR qword from .. to mm", 0
            db  "0F F1 /r", 0, "PSLLW mm,mm/m64 ", 0, "Packed Shift Left Logical", 0
            db  "0F 71 /6 ib ", 0, "PSLLW mm,imm8 ", 0, "Packed Shift Left Logical", 0
            db  "0F F2 /r", 0, "PSLLD mm,mm/m64 ", 0, "Packed Shift Left Logical", 0
            db  "0F 72 /6 ib ", 0, "PSLLD mm,imm8 ", 0, "Packed Shift Left Logical", 0
            db  "0F F3 /r", 0, "PSLLQ mm,mm/m64 ", 0, "Packed Shift Left Logical", 0
            db  "0F 73 /6 ib ", 0, "PSLLQ mm,imm8 ", 0, "Packed Shift Left Logical", 0
            db  "0F E1 /r", 0, "PSRAW mm,mm/m64 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F 71 /4 ib ", 0, "PSRAW mm,imm8 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F E2 /r", 0, "PSRAD mm,mm/m64 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F 72 /4 ib ", 0, "PSRAD mm,imm8 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F D1 /r", 0, "PSRLW mm,mm/m64 ", 0, "Packed Shift Right Logical ", 0
            db  "0F 71 /2 ib ", 0, "PSRLW mm,imm8 ", 0, "Packed Shift Right Logical ", 0
            db  "0F D2 /r", 0, "PSRLD mm,mm/m64 ", 0, "Packed Shift Right Logical ", 0
            db  "0F 72 /2 ib ", 0, "PSRLD mm,imm8 ", 0, "Packed Shift Right Logical ", 0
            db  "0F D3 /r", 0, "PSRLQ mm,mm/m64 ", 0, "Packed Shift Right Logical ", 0
            db  "0F 73 /2 ib ", 0, "PSRLQ mm,imm8 ", 0, "Packed Shift Right Logical ", 0
            db  "0F F8 /r", 0, "PSUBB mm,mm/m64 ", 0, "Packed Subtract", 0
            db  "0F F9 /r", 0, "PSUBW mm,mm/m64 ", 0, "Packed Subtract", 0
            db  "0F FA /r", 0, "PSUBD mm,mm/m64 ", 0, "Packed Subtract", 0
            db  "0F E8 /r", 0, "PSUBSB mm,mm/m64", 0, "Packed Subtract with Saturation", 0
            db  "0F E9 /r", 0, "PSUBSW mm,mm/m64", 0, "Packed Subtract with Saturation", 0
            db  "0F D8 /r", 0, "PSUBUSB mm,mm/m64 ", 0, "Packed Subtract Unsigned with S.", 0
            db  "0F D9 /r", 0, "PSUBUSW mm,mm/m64 ", 0, "Packed Subtract Unsigned with S.", 0
            db  "0F 68 /r", 0, "PUNPCKHBW mm,mm/m64 ", 0, "Unpack High Packed Data", 0
            db  "0F 69 /r", 0, "PUNPCKHWD mm,mm/m64 ", 0, "Unpack High Packed Data", 0
            db  "0F 6A /r", 0, "PUNPCKHDQ mm,mm/m64 ", 0, "Unpack High Packed Data", 0
            db  "0F 60 /r", 0, "PUNPCKLBW mm,mm/m32 ", 0, "Unpack Low Packed Data", 0
            db  "0F 61 /r", 0, "PUNPCKLWD mm,mm/m32 ", 0, "Unpack Low Packed Data", 0
            db  "0F 62 /r", 0, "PUNPCKLDQ mm,mm/m32 ", 0, "Unpack Low Packed Data", 0
            db  "FF    /6", 0, "PUSH r/m32", 0, "Push r/m32", 0
            db  "50+rd ", 0, "PUSH r32", 0, "Push r32", 0
            db  "6A       ib ", 0, "PUSH imm8 ", 0, "Push imm8", 0
            db  "68       id ", 0, "PUSH imm32", 0, "Push imm32", 0
            db  "0E", 0, "PUSH CS ", 0, "Push CS", 0
            db  "16", 0, "PUSH SS ", 0, "Push SS", 0
            db  "1E", 0, "PUSH DS ", 0, "Push DS", 0
            db  "06", 0, "PUSH ES ", 0, "Push ES", 0
            db  "0F A0 ", 0, "PUSH FS ", 0, "Push FS", 0
            db  "0F A8 ", 0, "PUSH GS ", 0, "Push GS", 0
            db  "60", 0, "PUSHAD", 0, "Push All g-regs", 0
            db  "9C", 0, "PUSHFD", 0, "Push EFLAGS", 0
            db  "0F EF /r", 0, "PXOR mm,mm/m64", 0, "XOR qword", 0
            db  "D0    /2", 0, "RCL r/m8,1", 0, "Rotate 9 bits left once", 0
            db  "D2    /2", 0, "RCL r/m8,CL ", 0, "Rotate 9 bits left CL times", 0
            db  "C0    /2 ib ", 0, "RCL r/m8,imm8 ", 0, "Rotate 9 bits left imm8 times", 0
            db  "D1    /2", 0, "RCL r/m32,1 ", 0, "Rotate 33 bits left once", 0
            db  "D3    /2", 0, "RCL r/m32,CL", 0, "Rotate 33 bits left CL times", 0
            db  "C1    /2 ib ", 0, "RCL r/m32,imm8", 0, "Rotate 33 bits left imm8 times", 0
            db  "D0    /3", 0, "RCR r/m8,1", 0, "Rotate 9 bits right once", 0
            db  "D2    /3", 0, "RCR r/m8,CL ", 0, "Rotate 9 bits right CL times", 0
            db  "C0    /3 ib ", 0, "RCR r/m8,imm8 ", 0, "Rotate 9 bits right imm8 times", 0
            db  "D1    /3", 0, "RCR r/m32,1 ", 0, "Rotate 33 bits right once", 0
            db  "D3    /3", 0, "RCR r/m32,CL", 0, "Rotate 33 bits right CL times", 0
            db  "C1    /3 ib ", 0, "RCR r/m32,imm8", 0, "Rotate 33 bits right imm8 times", 0
            db  "D0    /0", 0, "ROL r/m8,1", 0, "Rotate 8 bits r/m8 left once", 0
            db  "D2    /0", 0, "ROL r/m8,CL ", 0, "Rotate 8 bits r/m8 left CL times", 0
            db  "C0    /0 ib ", 0, "ROL r/m8,imm8 ", 0, "Rotate 8 bits r/m8 left imm8 times", 0
            db  "D1    /0", 0, "ROL r/m32,1 ", 0, "Rotate 32 bits r/m32 left once", 0
            db  "D3    /0", 0, "ROL r/m32,CL", 0, "Rotate 32 bits r/m32 left CL times", 0
            db  "C1    /0 ib ", 0, "ROL r/m32,imm8", 0, "Rotate 32 bits r/m32 left imm8 times", 0
            db  "D0    /1", 0, "ROR r/m8,1", 0, "Rotate 8 bits r/m8 right once", 0
            db  "D2    /1", 0, "ROR r/m8,CL ", 0, "Rotate 8 bits r/m8 right CL times", 0
            db  "C0    /1 ib ", 0, "ROR r/m8,imm8 ", 0, "Rotate 8 bits r/m16 right imm8 times", 0
            db  "D1    /1", 0, "ROR r/m32,1 ", 0, "Rotate 32 bits r/m32 right once", 0
            db  "D3    /1", 0, "ROR r/m32,CL", 0, "Rotate 32 bits r/m32 right CL times", 0
            db  "C1    /1 ib ", 0, "ROR r/m32,imm8", 0, "Rotate 32 bits r/m32 right imm8 times", 0
            db  "0F 32 ", 0, "RDMSR ", 0, "Read from Model Specific Register", 0
            db  "0F 33 ", 0, "RDPMC ", 0, "Read Performance-Monitoring counters", 0
            db  "0F 31 ", 0, "RDTSC ", 0, "Read Time-Stamp Counter", 0
            db  "F3 6C ", 0, "REP INS m8,DX ", 0, "Input ECX bytes from port DX into ES:[(E)DI]", 0
            db  "F3 6D ", 0, "REP INS m32,DX", 0, "Input ECX dwords from port DX into ES:[(E)DI]", 0
            db  "F3 A4 ", 0, "REP MOVS m8,m8", 0, "Move ECX bytes from DS:[(E)SI] to ES:[(E)DI]", 0
            db  "F3 A5 ", 0, "REP MOVS m32,m32", 0, "Move ECX dwords from DS:[(E)SI] to ES:[(E)DI]", 0
            db  "F3 6E ", 0, "REP OUTS DX,m8", 0, "Output ECX bytes from DS:[(E)SI] to port DX", 0
            db  "F3 6F ", 0, "REP OUTS DX,m32 ", 0, "Output ECX dwords from DS:[(E)SI] to port DX", 0
            db  "F3 AC ", 0, "REP LODS AL ", 0, "Load ECX bytes from DS:[(E)SI] to AL", 0
            db  "F3 AD ", 0, "REP LODS EAX", 0, "Load ECX dwords from DS:[(E)SI] to EAX", 0
            db  "F3 AA ", 0, "REP STOS m8 ", 0, "Fill ECX bytes at ES:[(E)DI] with AL", 0
            db  "F3 AB ", 0, "REP STOS m32", 0, "Fill ECX dwords at ES:[(E)DI] with EAX", 0
            db  "F3 A6 ", 0, "REPE CMPS m8,m8 ", 0, "Find nonmatching bytes in m and m", 0
            db  "F3 A7 ", 0, "REPE CMPS m32,m32 ", 0, "Find nonmatching dwords in m and m", 0
            db  "F3 AE ", 0, "REPE SCAS m8", 0, "Find non-AL byte starting at ", 0
            db  "F3 AF ", 0, "REPE SCAS m32 ", 0, "Find non-EAX dword starting at ", 0
            db  "F2 A6 ", 0, "REPNE CMPS m8,m8", 0, "Find matching bytes in m and m", 0
            db  "F2 A7 ", 0, "REPNE CMPS m32,m32", 0, "Find matching dwords in m and m", 0
            db  "F2 AE ", 0, "REPNE SCAS m8 ", 0, "Find AL, starting at ES:[(E)DI]", 0
            db  "F2 AF ", 0, "REPNE SCAS m32", 0, "Find EAX, starting at ES:[(E)DI]", 0
            db  "C3", 0, "RET ", 0, "Near return ", 0
            db  "CB", 0, "RET ", 0, "Far return ", 0
            db  "C2       iw ", 0, "RET imm16 ", 0, "Near return, pop imm16 bytes from stack", 0
            db  "CA       iw ", 0, "RET imm16 ", 0, "Far return, pop imm16 bytes from stack", 0
            db  "0F AA ", 0, "RSM ", 0, "Resume from System Management", 0
            db  "9E", 0, "SAHF", 0, "Store AH into Flags", 0
            db  "D0    /4", 0, "SAL r/m8,1", 0, "Shift Arithmetic Left", 0
            db  "D2    /4", 0, "SAL r/m8,CL ", 0, "Shift Arithmetic Left", 0
            db  "C0    /4 ib ", 0, "SAL r/m8,imm8 ", 0, "Shift Arithmetic Left", 0
            db  "D1    /4", 0, "SAL r/m32,1 ", 0, "Shift Arithmetic Left", 0
            db  "D3    /4", 0, "SAL r/m32,CL", 0, "Shift Arithmetic Left", 0
            db  "C1    /4 ib ", 0, "SAL r/m32,imm8", 0, "Shift Arithmetic Left", 0
            db  "D0    /7", 0, "SAR r/m8,1", 0, "Shift Arithmetic Right", 0
            db  "D2    /7", 0, "SAR r/m8,CL ", 0, "Shift Arithmetic Right", 0
            db  "C0    /7 ib ", 0, "SAR r/m8,imm8 ", 0, "Shift Arithmetic Right", 0
            db  "D1    /7", 0, "SAR r/m32,1 ", 0, "Shift Arithmetic Right", 0
            db  "D3    /7", 0, "SAR r/m32,CL", 0, "Shift Arithmetic Right", 0
            db  "C1    /7 ib ", 0, "SAR r/m32,imm8", 0, "Shift Arithmetic Right", 0
            db  "D0    /4", 0, "SHL r/m8,1", 0, "Shift Logical Left", 0
            db  "D2    /4", 0, "SHL r/m8,CL ", 0, "Shift Logical Left", 0
            db  "C0    /4 ib ", 0, "SHL r/m8,imm8 ", 0, "Shift Logical Left", 0
            db  "D1    /4", 0, "SHL r/m32,1 ", 0, "Shift Logical Left", 0
            db  "D3    /4", 0, "SHL r/m32,CL", 0, "Shift Logical Left", 0
            db  "C1    /4 ib ", 0, "SHL r/m32,imm8", 0, "Shift Logical Left", 0
            db  "D0    /5", 0, "SHR r/m8,1", 0, "Shift Logical Right", 0
            db  "D2    /5", 0, "SHR r/m8,CL ", 0, "Shift Logical Right", 0
            db  "C0    /5 ib ", 0, "SHR r/m8,imm8 ", 0, "Shift Logical Right", 0
            db  "D1    /5", 0, "SHR r/m32,1 ", 0, "Shift Logical Right", 0
            db  "D3    /5", 0, "SHR r/m32,CL", 0, "Shift Logical Right", 0
            db  "C1    /5 ib ", 0, "SHR r/m32,imm8", 0, "Shift Logical Right", 0
            db  "1C       ib ", 0, "SBB AL,imm8 ", 0, "Subtract with borrow ", 0
            db  "1D       id ", 0, "SBB EAX,imm32 ", 0, "Subtract with borrow ", 0
            db  "80    /3 ib ", 0, "SBB r/m8,imm8 ", 0, "Subtract with borrow ", 0
            db  "81    /3 id ", 0, "SBB r/m32,imm32 ", 0, "Subtract with borrow ", 0
            db  "83    /3 ib ", 0, "SBB r/m32,imm8", 0, "Subtract with borrow ", 0
            db  "18    /r", 0, "SBB r/m8,r8 ", 0, "Subtract with borrow ", 0
            db  "19    /r", 0, "SBB r/m32,r32 ", 0, "Subtract with borrow ", 0
            db  "1A    /r", 0, "SBB r8,r/m8 ", 0, "Subtract with borrow ", 0
            db  "1B    /r", 0, "SBB r32,r/m32 ", 0, "Subtract with borrow ", 0
            db  "AE", 0, "SCAS m8 ", 0, "Scan String ", 0
            db  "AF", 0, "SCAS m32", 0, "Scan String", 0
            db  "0F 97 /r", 0, "SETA r/m8 ", 0, "Set byte if above ", 0
            db  "0F 93 /r", 0, "SETAE r/m8", 0, "Set byte if above or equal", 0
            db  "0F 92 /r", 0, "SETB r/m8 ", 0, "Set byte if below ", 0
            db  "0F 96 /r", 0, "SETBE r/m8", 0, "Set byte if below or equal ", 0
            db  "0F 94 /r", 0, "SETE r/m8 ", 0, "Set byte if equal ", 0
            db  "0F 9F /r", 0, "SETG r/m8 ", 0, "Set byte if greater ", 0
            db  "0F 9D /r", 0, "SETGE r/m8", 0, "Set byte if greater or equal", 0
            db  "0F 9C /r", 0, "SETL r/m8 ", 0, "Set byte if less ", 0
            db  "0F 9E /r", 0, "SETLE r/m8", 0, "Set byte if less or equal ", 0
            db  "0F 95 /r", 0, "SETNE r/m8", 0, "Set byte if not equal ", 0
            db  "0F 91 /r", 0, "SETNO r/m8", 0, "Set byte if not overflow ", 0
            db  "0F 99 /r", 0, "SETNS r/m8", 0, "Set byte if not sign ", 0
            db  "0F 90 /r", 0, "SETO r/m8 ", 0, "Set byte if overflow ", 0
            db  "0F 9A /r", 0, "SETPE r/m8", 0, "Set byte if parity even ", 0
            db  "0F 9B /r", 0, "SETPO r/m8", 0, "Set byte if parity odd ", 0
            db  "0F 98 /r", 0, "SETS r/m8 ", 0, "Set byte if sign ", 0
            db  "0F 01 /0", 0, "SGDT m", 0, "Store GDTR to m", 0
            db  "0F 01 /1", 0, "SIDT m", 0, "Store IDTR to m", 0
            db  "0F A4 /r ib ", 0, "SHLD r/m32,r32,imm8 ", 0, "Double Precision Shift Left", 0
            db  "0F A5 /r", 0, "SHLD r/m32,r32,CL ", 0, "Double Precision Shift Left", 0
            db  "0F AC /r ib ", 0, "SHRD r/m32,r32,imm8 ", 0, "Double Precision Shift Right", 0
            db  "0F AD /r", 0, "SHRD r/m32,r32,CL ", 0, "Double Precision Shift Right", 0
            db  "0F 00 /0", 0, "SLDT r/m32", 0, "Store Local Descriptor Table Register", 0
            db  "0F 01 /4", 0, "SMSW r/m32", 0, "Store Machine Status Word", 0
            db  "F9", 0, "STC ", 0, "Set Carry Flag", 0
            db  "FD", 0, "STD ", 0, "Set Direction Flag", 0
            db  "FB", 0, "STI ", 0, "Set Interrup Flag", 0
            db  "AA", 0, "STOS m8 ", 0, "Store String", 0
            db  "AB", 0, "STOS m32", 0, "Store String", 0
            db  "0F 00 /1", 0, "STR r/m16 ", 0, "Store Task Register", 0
            db  "2C       ib ", 0, "SUB AL,imm8 ", 0, "Subtract ", 0
            db  "2D       id ", 0, "SUB EAX,imm32 ", 0, "Subtract ", 0
            db  "80    /5 ib ", 0, "SUB r/m8,imm8 ", 0, "Subtract ", 0
            db  "81    /5 id ", 0, "SUB r/m32,imm32 ", 0, "Subtract ", 0
            db  "83    /5 ib ", 0, "SUB r/m32,imm8", 0, "Subtract ", 0
            db  "28    /r", 0, "SUB r/m8,r8 ", 0, "Subtract ", 0
            db  "29    /r", 0, "SUB r/m32,r32 ", 0, "Subtract ", 0
            db  "2A    /r", 0, "SUB r8,r/m8 ", 0, "Subtract ", 0
            db  "2B    /r", 0, "SUB r32,r/m32 ", 0, "Subtract ", 0
            db  "A8       ib ", 0, "TEST AL,imm8", 0, "Logical Compare", 0
            db  "A9       id ", 0, "TEST EAX,imm32", 0, "Logical Compare", 0
            db  "F6    /0 ib ", 0, "TEST r/m8,imm8", 0, "Logical Compare", 0
            db  "F7    /0 id ", 0, "TEST r/m32,imm32", 0, "Logical Compare", 0
            db  "84    /r", 0, "TEST r/m8,r8", 0, "Logical Compare", 0
            db  "85    /r", 0, "TEST r/m16,r16", 0, "Logical Compare", 0
            db  "85    /r", 0, "TEST r/m32,r32", 0, "Logical Compare", 0
            db  "0F 0B ", 0, "UD2 ", 0, "Undifined Instruction", 0
            db  "0F 00 /4", 0, "VERR r/m16", 0, "Verify a Segment for Reading", 0
            db  "0F 00 /5", 0, "VERW r/m16", 0, "Verify a Segment for Writing", 0
            db  "9B", 0, "WAIT", 0, "Wait", 0
            db  "9B", 0, "FWAIT ", 0, "Wait", 0
            db  "0F 09 ", 0, "WBINVD", 0, "Write Back and Invalidate Cache", 0
            db  "0F 30 ", 0, "WRMSR ", 0, "Write to Model Specific Register", 0
            db  "0F C0 /r", 0, "XADD r/m8,r8", 0, "Exchange and Add", 0
            db  "0F C1 /r", 0, "XADD r/m16,r16", 0, "Exchange and Add", 0
            db  "0F C1 /r", 0, "XADD r/m32,r32", 0, "Exchange and Add", 0
            db  "90+rd ", 0, "XCHG EAX,r32", 0, "Exchange r32 with EAX", 0
            db  "90+rd ", 0, "XCHG r32,EAX", 0, "Exchange EAX with r32", 0
            db  "86    /r", 0, "XCHG r/m8,r8", 0, "Exchange byte ", 0
            db  "86    /r", 0, "XCHG r8,r/m8", 0, "Exchange byte ", 0
            db  "87    /r", 0, "XCHG r/m32,r32", 0, "Exchange doubleword ", 0
            db  "87    /r", 0, "XCHG r32,r/m32", 0, "Exchange doubleword ", 0
            db  "D7", 0, "XLAT m8 ", 0, "Table Look-up Translation", 0
            db  "34       ib ", 0, "XOR AL,imm8 ", 0, "Logical Exclusive OR", 0
            db  "35       id ", 0, "XOR EAX,imm32 ", 0, "Logical Exclusive OR", 0
            db  "80    /6 ib ", 0, "XOR r/m8,imm8 ", 0, "Logical Exclusive OR", 0
            db  "81    /6 id ", 0, "XOR r/m32,imm32 ", 0, "Logical Exclusive OR", 0
            db  "83    /6 ib ", 0, "XOR r/m32,imm8", 0, "Logical Exclusive OR", 0
            db  "30    /r", 0, "XOR r/m8,r8 ", 0, "Logical Exclusive OR", 0
            db  "31    /r", 0, "XOR r/m32,r32 ", 0, "Logical Exclusive OR", 0
            db  "32    /r", 0, "XOR r8,r/m8 ", 0, "Logical Exclusive OR", 0
            db  "33    /r", 0, "XOR r32,r/m32 ", 0, "Logical Exclusive OR", 0
            db  0
Table2      db  "00    /r", 0, "ADD r/m8,r8 ", 0, "ADD ", 0
            db  "01    /r", 0, "ADD r/m32,r32 ", 0, "ADD ", 0
            db  "02    /r", 0, "ADD r8,r/m8 ", 0, "ADD ", 0
            db  "03    /r", 0, "ADD r32,r/m32 ", 0, "ADD ", 0
            db  "04       ib ", 0, "ADD AL,imm8 ", 0, "Add ", 0
            db  "05       id ", 0, "ADD EAX,imm32 ", 0, "Add ", 0
            db  "06", 0, "PUSH ES ", 0, "Push ES", 0
            db  "07", 0, "POP ES", 0, "Pop ES", 0
            db  "08    /r", 0, "OR r/m8,r8", 0, "OR ", 0
            db  "09    /r", 0, "OR r/m32,r32", 0, "OR ", 0
            db  "0A    /r", 0, "OR r8,r/m8", 0, "OR ", 0
            db  "0B    /r", 0, "OR r32,r/m32", 0, "OR ", 0
            db  "0C       ib ", 0, "OR AL,imm8", 0, "OR", 0
            db  "0D       id ", 0, "OR EAX,imm32", 0, "OR ", 0
            db  "0E", 0, "PUSH CS ", 0, "Push CS", 0
            db  "0F 00 /0", 0, "SLDT r/m32", 0, "Store Local Descriptor Table Register", 0
            db  "0F 00 /1", 0, "STR r/m16 ", 0, "Store Task Register", 0
            db  "0F 00 /2", 0, "LLDT r/m16", 0, "Load segment selector r/m16 into LDTR", 0
            db  "0F 00 /3", 0, "LTR r/m16 ", 0, "Load Task Register", 0
            db  "0F 00 /4", 0, "VERR r/m16", 0, "Verify a Segment for Reading", 0
            db  "0F 00 /5", 0, "VERW r/m16", 0, "Verify a Segment for Writing", 0
            db  "0F 01 /0", 0, "SGDT m", 0, "Store GDTR to m", 0
            db  "0F 01 /1", 0, "SIDT m", 0, "Store IDTR to m", 0
            db  "0F 01 /2", 0, "LGDT m16&32 ", 0, "Load m into GDTR", 0
            db  "0F 01 /3", 0, "LIDT m16&32 ", 0, "Load m into IDTR", 0
            db  "0F 01 /4", 0, "SMSW r32/m16", 0, "Store Machine Status Word", 0
            db  "0F 01 /6", 0, "LMSW r/m16", 0, "Load r/m16 in machine status word of CR0", 0
            db  "0F 01 /7", 0, "INVLPG m", 0, "Invalidate TLB Entry for page (m)", 0
            db  "0F 02 /r", 0, "LAR r32,r/m32 ", 0, "Load Access Rights Byte ", 0
            db  "0F 03 /r", 0, "LSL r16,r/m16 ", 0, "Load Segment Limit", 0
            db  "0F 03 /r", 0, "LSL r32,r/m32 ", 0, "Load Segment Limit", 0
            db  "0F 05 ", 0, "LOADALL ", 0, "undocumented load all // 1998.11.05", 0
            db  "0F 06 ", 0, "CLTS", 0, "Clear Task-Switched Flag in Control Reg. Zero", 0
            db  "0F 08 ", 0, "INVD", 0, "Flush internal caches", 0
            db  "0F 09 ", 0, "WBINVD", 0, "Write Back and Invalidate Cache", 0
            db  "0F 0B ", 0, "UD2 ", 0, "Undefined Instruction", 0
            db  "0F 0D ", 0, "PREFETCH", 0, "3DNOW (K6)", 0
            db  "0F 0E ", 0, "FEMMS ", 0, "3DNOW (K6)", 0
            db  "0F 0F /r BF ", 0, "PAVGUSB mm,mm/m64 ", 0, "3DNOW (K6)", 0
            db  "0F 0F /r 9E ", 0, "PFADD mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r 9A ", 0, "PFSUB mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r AA ", 0, "PFSUBR mm,mm/m64", 0, "3DNOW (K6)", 0
            db  "0F 0F /r AE ", 0, "PFACC mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r 90 ", 0, "PFCMPGE mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r A0 ", 0, "PFCMPGT mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r B0 ", 0, "PFCMPEQ mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r 94 ", 0, "PFMIN mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r A4 ", 0, "PFMAX mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r 0D ", 0, "PI2FD mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r 1D ", 0, "PF2ID mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r 96 ", 0, "PFRCP mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r 97 ", 0, "PFRSQRT mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r B4 ", 0, "PFMUL mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 0F /r A6 ", 0, "PFRCPIT1 mm,mm/m64", 0, "3DNOW (k6)", 0
            db  "0F 0F /r A7 ", 0, "PFRSQIT1 mm,mm/m64", 0, "3DNOW (k6)", 0
            db  "0F 0F /r B6 ", 0, "PFRCPIT2 mm,mm/m64", 0, "3DNOW (k6)", 0
            db  "0F 0F /r B7 ", 0, "PMULHRW mm,mm/m64 ", 0, "3DNOW (k6)", 0
            db  "0F 20 /r", 0, "MOV r32,CR0 ", 0, "Move CR0 to r32", 0
            db  "0F 20 /r", 0, "MOV r32,CR2 ", 0, "Move CR2 to r32", 0
            db  "0F 20 /r", 0, "MOV r32,CR3 ", 0, "Move CR3 to r32", 0
            db  "0F 20 /r", 0, "MOV r32,CR4 ", 0, "Move CR4 to r32", 0
            db  "0F 21 /r", 0, "MOV r32,DR0-DR7 ", 0, "Move debug register to r32", 0
            db  "0F 22 /r", 0, "MOV CR0, r32", 0, "Move r32 to CR0", 0
            db  "0F 22 /r", 0, "MOV CR2, r32", 0, "Move r32 to CR2", 0
            db  "0F 22 /r", 0, "MOV CR3, r32", 0, "Move r32 to CR3", 0
            db  "0F 22 /r", 0, "MOV CR4, r32", 0, "Move r32 to CR4", 0
            db  "0F 23 /r", 0, "MOV DR0-DR7,r32 ", 0, "Move r32 to debug register", 0
            db  "0F 30 ", 0, "WRMSR ", 0, "Write to Model Specific Register", 0
            db  "0F 31 ", 0, "RDTSC ", 0, "Read Time-Stamp Counter", 0
            db  "0F 32 ", 0, "RDMSR ", 0, "Read from Model Specific Register", 0
            db  "0F 33 ", 0, "RDPMC ", 0, "Read Performance-Monitoring counters", 0
            db  "0F 40 /r", 0, "CMOVO r32,r/m32 ", 0, "Move if overflow ", 0
            db  "0F 41 /r", 0, "CMOVNO r32,r/m32", 0, "Move if not overflow ", 0
            db  "0F 42 /r", 0, "CMOVB r32,r/m32 ", 0, "Move if below ", 0
            db  "0F 42 /r", 0, "CMOVC r32,r/m32 ", 0, "Move if carry ", 0
            db  "0F 42 /r", 0, "CMOVNAE r32,r/m32 ", 0, "Move if not above or equal ", 0
            db  "0F 43 /r", 0, "CMOVAE r32,r/m32", 0, "Move if above or equal ", 0
            db  "0F 43 /r", 0, "CMOVNB r32,r/m32", 0, "Move if not below ", 0
            db  "0F 43 /r", 0, "CMOVNC r32,r/m32", 0, "Move if not carry ", 0
            db  "0F 44 /r", 0, "CMOVE r32,r/m32 ", 0, "Move if equal ", 0
            db  "0F 44 /r", 0, "CMOVZ r32,r/m32 ", 0, "Move if zero ", 0
            db  "0F 45 /r", 0, "CMOVNE r32,r/m32", 0, "Move if not equal ", 0
            db  "0F 45 /r", 0, "CMOVNZ r32,r/m32", 0, "Move if not zero ", 0
            db  "0F 46 /r", 0, "CMOVBE r32,r/m32", 0, "Move if below or equal ", 0
            db  "0F 46 /r", 0, "CMOVNA r32,r/m32", 0, "Move if not above ", 0
            db  "0F 47 /r", 0, "CMOVA r32,r/m32 ", 0, "Move if above ", 0
            db  "0F 47 /r", 0, "CMOVNBE r32,r/m32 ", 0, "Move if not below or equal ", 0
            db  "0F 48 /r", 0, "CMOVS r32,r/m32 ", 0, "Move if sign ", 0
            db  "0F 49 /r", 0, "CMOVNS r32,r/m32", 0, "Move if not sign ", 0
            db  "0F 4A /r", 0, "CMOVP r32,r/m32 ", 0, "Move if parity ", 0
            db  "0F 4A /r", 0, "CMOVPE r32,r/m32", 0, "Move if parity even ", 0
            db  "0F 4B /r", 0, "CMOVNP r32,r/m32", 0, "Move if not parity ", 0
            db  "0F 4B /r", 0, "CMOVPO r32,r/m32", 0, "Move if parity odd ", 0
            db  "0F 4C /r", 0, "CMOVL r32,r/m32 ", 0, "Move if less ", 0
            db  "0F 4C /r", 0, "CMOVNGE r32,r/m32 ", 0, "Move if not greater or equal ", 0
            db  "0F 4D /r", 0, "CMOVGE r32,r/m32", 0, "Move if greater or equal ", 0
            db  "0F 4D /r", 0, "CMOVNL r32,r/m32", 0, "Move if not less ", 0
            db  "0F 4E /r", 0, "CMOVLE r32,r/m32", 0, "Move if less or equal ", 0
            db  "0F 4E /r", 0, "CMOVNG r32,r/m32", 0, "Move if not greater ", 0
            db  "0F 4F /r", 0, "CMOVG r32,r/m32 ", 0, "Move if greater ", 0
            db  "0F 4F /r", 0, "CMOVNLE r32,r/m32 ", 0, "Move if not less or equal ", 0
            db  "0F 60 /r", 0, "PUNPCKLBW mm,mm/m32 ", 0, "Unpack Low Packed Data", 0
            db  "0F 61 /r", 0, "PUNPCKLWD mm,mm/m32 ", 0, "Unpack Low Packed Data", 0
            db  "0F 62 /r", 0, "PUNPCKLDQ mm,mm/m32 ", 0, "Unpack Low Packed Data", 0
            db  "0F 63 /r", 0, "PACKSSWB mm,mm/m64", 0, "Pack with Signed Saturation", 0
            db  "0F 64 /r", 0, "PCMPGTB mm,mm/m64 ", 0, "Packed Compare for GT", 0
            db  "0F 65 /r", 0, "PCMPGTW mm,mm/m64 ", 0, "Packed Compare for GT", 0
            db  "0F 66 /r", 0, "PCMPGTD mm,mm/m64 ", 0, "Packed Compare for GT", 0
            db  "0F 67 /r", 0, "PACKUSWB mm,mm/m64", 0, "Pack with Unsigned Saturation", 0
            db  "0F 68 /r", 0, "PUNPCKHBW mm,mm/m64 ", 0, "Unpack High Packed Data", 0
            db  "0F 69 /r", 0, "PUNPCKHWD mm,mm/m64 ", 0, "Unpack High Packed Data", 0
            db  "0F 6A /r", 0, "PUNPCKHDQ mm,mm/m64 ", 0, "Unpack High Packed Data", 0
            db  "0F 6B /r", 0, "PACKSSDW mm,mm/m64", 0, "Pack with Signed Saturation", 0
            db  "0F 6E /r", 0, "MOVD mm,r/m32 ", 0, "Move doubleword from r/m32 to mm", 0
            db  "0F 6F /r", 0, "MOVQ mm,mm/m64", 0, "Move quadword from mm/m64 to mm", 0
            db  "0F 71 /2 ib ", 0, "PSRLW mm,imm8 ", 0, "Packed Shift Right Logical ", 0
            db  "0F 71 /4 ib ", 0, "PSRAW mm,imm8 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F 71 /6 ib ", 0, "PSLLW mm,imm8 ", 0, "Packed Shift Left Logical", 0
            db  "0F 72 /2 ib ", 0, "PSRLD mm,imm8 ", 0, "Packed Shift Right Logical ", 0
            db  "0F 72 /4 ib ", 0, "PSRAD mm,imm8 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F 72 /6 ib ", 0, "PSLLD mm,imm8 ", 0, "Packed Shift Left Logical", 0
            db  "0F 73 /2 ib ", 0, "PSRLQ mm,imm8 ", 0, "Packed Shift Right Logical ", 0
            db  "0F 73 /6 ib ", 0, "PSLLQ mm,imm8 ", 0, "Packed Shift Left Logical", 0
            db  "0F 74 /r", 0, "PCMPEQB mm,mm/m64 ", 0, "Packed Compare for Equal", 0
            db  "0F 75 /r", 0, "PCMPEQW mm,mm/m64 ", 0, "Packed Compare for Equal", 0
            db  "0F 76 /r", 0, "PCMPEQD mm,mm/m64 ", 0, "Packed Compare for Equal", 0
            db  "0F 77 ", 0, "EMMS", 0, "Set the FP tag word to empty", 0
            db  "0F 7E /r", 0, "MOVD r/m32,mm ", 0, "Move doubleword from mm to r/m32", 0
            db  "0F 7F /r", 0, "MOVQ mm/m64,mm", 0, "Move quadword from mm to mm/m64", 0
            db  "0F 80    cd ", 0, "JO rel32", 0, "Jump near if overflow ", 0
            db  "0F 81    cd ", 0, "JNO rel32 ", 0, "Jump near if not overflow ", 0
            db  "0F 82    cd ", 0, "JB rel32", 0, "Jump near if below ", 0
            db  "0F 83    cd ", 0, "JAE rel32 ", 0, "Jump near if above or equal ", 0
            db  "0F 84    cd ", 0, "JE rel32", 0, "Jump near if equal ", 0
            db  "0F 85    cd ", 0, "JNE rel32 ", 0, "Jump near if not equal ", 0
            db  "0F 86    cd ", 0, "JBE rel32 ", 0, "Jump near if below or equal ", 0
            db  "0F 87    cd ", 0, "JA rel32", 0, "Jump near if above ", 0
            db  "0F 88    cd ", 0, "JS rel32", 0, "Jump near if sign ", 0
            db  "0F 89    cd ", 0, "JNS rel32 ", 0, "Jump near if not sign ", 0
            db  "0F 8A    cd ", 0, "JPE rel32 ", 0, "Jump near if parity even ", 0
            db  "0F 8B    cd ", 0, "JPO rel32 ", 0, "Jump near if parity odd ", 0
            db  "0F 8C    cd ", 0, "JL rel32", 0, "Jump near if less ", 0
            db  "0F 8D    cd ", 0, "JGE rel32 ", 0, "Jump near if greater or equal ", 0
            db  "0F 8E    cd ", 0, "JLE rel32 ", 0, "Jump near if less or equal ", 0
            db  "0F 8F    cd ", 0, "JG rel32", 0, "Jump near if greater ", 0
            db  "0F 90 /r", 0, "SETO r/m8 ", 0, "Set byte if overflow ", 0
            db  "0F 91 /r", 0, "SETNO r/m8", 0, "Set byte if not overflow ", 0
            db  "0F 92 /r", 0, "SETB r/m8 ", 0, "Set byte if below ", 0
            db  "0F 93 /r", 0, "SETAE r/m8", 0, "Set byte if above or equal", 0
            db  "0F 94 /r", 0, "SETE r/m8 ", 0, "Set byte if equal ", 0
            db  "0F 95 /r", 0, "SETNE r/m8", 0, "Set byte if not equal ", 0
            db  "0F 96 /r", 0, "SETBE r/m8", 0, "Set byte if below or equal ", 0
            db  "0F 97 /r", 0, "SETA r/m8 ", 0, "Set byte if above ", 0
            db  "0F 98 /r", 0, "SETS r/m8 ", 0, "Set byte if sign ", 0
            db  "0F 99 /r", 0, "SETNS r/m8", 0, "Set byte if not sign ", 0
            db  "0F 9A /r", 0, "SETPE r/m8", 0, "Set byte if parity even ", 0
            db  "0F 9B /r", 0, "SETPO r/m8", 0, "Set byte if parity odd ", 0
            db  "0F 9C /r", 0, "SETL r/m8 ", 0, "Set byte if less ", 0
            db  "0F 9D /r", 0, "SETGE r/m8", 0, "Set byte if greater or equal", 0
            db  "0F 9E /r", 0, "SETLE r/m8", 0, "Set byte if less or equal ", 0
            db  "0F 9F /r", 0, "SETG r/m8 ", 0, "Set byte if greater ", 0
            db  "0F A0 ", 0, "PUSH FS ", 0, "Push FS", 0
            db  "0F A1 ", 0, "POP FS", 0, "Pop FS", 0
            db  "0F A2 ", 0, "CPUID ", 0, "EAX := Processor id.info.", 0
            db  "0F A3 /r", 0, "BT r/m32,r32", 0, "Bit Test", 0
            db  "0F A4 /r ib ", 0, "SHLD r/m32,r32,imm8 ", 0, "Double Precision Shift Left", 0
            db  "0F A5 /r", 0, "SHLD r/m32,r32,CL ", 0, "Double Precision Shift Left", 0
            db  "0F A8 ", 0, "PUSH GS ", 0, "Push GS", 0
            db  "0F A9 ", 0, "POP GS", 0, "Pop GS", 0
            db  "0F AA ", 0, "RSM ", 0, "Resume from System Management", 0
            db  "0F AB /r", 0, "BTS r/m32,r32 ", 0, "Bit Test and Set", 0
            db  "0F AC /r ib ", 0, "SHRD r/m32,r32,imm8 ", 0, "Double Precision Shift Right", 0
            db  "0F AD /r", 0, "SHRD r/m32,r32,CL ", 0, "Double Precision Shift Right", 0
            db  "0F AE /0", 0, "FXSAVE m512 ", 0, "??", 0
            db  "0F AE /1", 0, "FXRSTOR m512", 0, "??", 0
            db  "0F AE /2", 0, "LDMXCSR m ", 0, "??", 0
            db  "0F AE /3", 0, "STMXCSR m ", 0, "??", 0
            db  "0F AE /7", 0, "SFENCE", 0, "??", 0
            db  "0F AF /r", 0, "IMUL r32,r/m32", 0, "Multiply", 0
            db  "0F B0 /r", 0, "CMPXCHG r/m8,r8 ", 0, "Compare and Exchange", 0
            db  "0F B1 /r", 0, "CMPXCHG r/m32,r32 ", 0, "Compare and Exchange", 0
            db  "0F B2 /r", 0, "LSS r32,m16:32", 0, "Load SS:r32 with far ptr", 0
            db  "0F B3 /r", 0, "BTR r/m32,r32 ", 0, "Bit Test and Clear", 0
            db  "0F B4 /r", 0, "LFS r32,m16:32", 0, "Load FS:r32 with far ptr", 0
            db  "0F B5 /r", 0, "LGS r32,m16:32", 0, "Load GS:r32 with far ptr", 0
            db  "0F B6 /r", 0, "MOVZX r32,r/m8", 0, "Move byte to doubleword, zero-extension", 0
            db  "0F B7 /r", 0, "MOVZX r32,r/m16 ", 0, "Move word to doubleword, zero-extension", 0
            db  "0F BA /4 ib ", 0, "BT r/m32,imm8 ", 0, "Bit Test", 0
            db  "0F BA /5 ib ", 0, "BTS r/m32,imm8", 0, "Bit Test and Set", 0
            db  "0F BA /6 ib ", 0, "BTR r/m32,imm8", 0, "Bit Test and Clear", 0
            db  "0F BA /7 ib ", 0, "BTC r/m32,imm8", 0, "Bit Test and Complement", 0
            db  "0F BB /r", 0, "BTC r/m32,r32 ", 0, "Bit Test and Complement", 0
            db  "0F BC /r", 0, "BSF r32,r/m32 ", 0, "Bit scan forward on r/m32", 0
            db  "0F BD /r", 0, "BSR r32,r/m32 ", 0, "Bit scan reverse on r/m32", 0
            db  "0F BE /r", 0, "MOVSX r32,r/m8", 0, "Move byte to doubleword, sign-extension", 0
            db  "0F BF /r", 0, "MOVSX r32,r/m16 ", 0, "Move word to doubleword, sign-extension", 0
            db  "0F C0 /r", 0, "XADD r/m8,r8", 0, "Exchange and Add", 0
            db  "0F C1 /r", 0, "XADD r/m16,r16", 0, "Exchange and Add", 0
            db  "0F C1 /r", 0, "XADD r/m32,r32", 0, "Exchange and Add", 0
            db  "0F C7 /1 m64", 0, "CMPXCHG8B m64 ", 0, "Compare and Exchange", 0
            db  "0F C8+rd", 0, "BSWAP r32 ", 0, "Reverses the byte order of a r32", 0
            db  "0F D1 /r", 0, "PSRLW mm,mm/m64 ", 0, "Packed Shift Right Logical ", 0
            db  "0F D2 /r", 0, "PSRLD mm,mm/m64 ", 0, "Packed Shift Right Logical ", 0
            db  "0F D3 /r", 0, "PSRLQ mm,mm/m64 ", 0, "Packed Shift Right Logical ", 0
            db  "0F D5 /r", 0, "PMULLW mm,mm/m64", 0, "Packed Multiply Low", 0
            db  "0F D8 /r", 0, "PSUBUSB mm,mm/m64 ", 0, "Packed Subtract Unsigned with S.", 0
            db  "0F D9 /r", 0, "PSUBUSW mm,mm/m64 ", 0, "Packed Subtract Unsigned with S.", 0
            db  "0F DB /r", 0, "PAND mm,mm/m64", 0, "AND quadword from .. to ..", 0
            db  "0F DC /r", 0, "PADDUSB mm,mm/m64 ", 0, "Add unsigned pkd bytes ", 0
            db  "0F DD /r", 0, "PADDUSW mm,mm/m64 ", 0, "Add unsigned pkd words ", 0
            db  "0F DF /r", 0, "PANDN mm,mm/m64 ", 0, "And qword from .. to NOT qw in mm", 0
            db  "0F E1 /r", 0, "PSRAW mm,mm/m64 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F E2 /r", 0, "PSRAD mm,mm/m64 ", 0, "Packed Shift Right Arithmetic", 0
            db  "0F E5 /r", 0, "PMULHW mm,mm/m64", 0, "Packed Multiply High", 0
            db  "0F E8 /r", 0, "PSUBSB mm,mm/m64", 0, "Packed Subtract with Saturation", 0
            db  "0F E9 /r", 0, "PSUBSW mm,mm/m64", 0, "Packed Subtract with Saturation", 0
            db  "0F EB /r", 0, "POR mm,mm/m64 ", 0, "OR qword from .. to mm", 0
            db  "0F EC /r", 0, "PADDSB mm,mm/m64", 0, "Add signed packed bytes ", 0
            db  "0F ED /r", 0, "PADDSW mm,mm/m64", 0, "Add signed packed words ", 0
            db  "0F EF /r", 0, "PXOR mm,mm/m64", 0, "XOR qword", 0
            db  "0F F1 /r", 0, "PSLLW mm,mm/m64 ", 0, "Packed Shift Left Logical", 0
            db  "0F F2 /r", 0, "PSLLD mm,mm/m64 ", 0, "Packed Shift Left Logical", 0
            db  "0F F3 /r", 0, "PSLLQ mm,mm/m64 ", 0, "Packed Shift Left Logical", 0
            db  "0F F5 /r", 0, "PMADDWD mm,mm/m64 ", 0, "Packed Multiply and Add", 0
            db  "0F F8 /r", 0, "PSUBB mm,mm/m64 ", 0, "Packed Subtract", 0
            db  "0F F9 /r", 0, "PSUBW mm,mm/m64 ", 0, "Packed Subtract", 0
            db  "0F FA /r", 0, "PSUBD mm,mm/m64 ", 0, "Packed Subtract", 0
            db  "0F FC /r", 0, "PADDB mm,mm/m64 ", 0, "Add packed bytes ", 0
            db  "0F FD /r", 0, "PADDW mm,mm/m64 ", 0, "Add packed words ", 0
            db  "0F FE /r", 0, "PADDD mm,mm/m64 ", 0, "Add packed dwords ", 0
            db  "10    /r", 0, "ADC r/m8,r8 ", 0, "Add with carry ", 0
            db  "11    /r", 0, "ADC r/m32,r32 ", 0, "Add with carry", 0
            db  "12    /r", 0, "ADC r8,r/m8 ", 0, "Add with carry ", 0
            db  "13    /r", 0, "ADC r32,r/m32 ", 0, "Add with carry", 0
            db  "14       ib ", 0, "ADC AL,imm8 ", 0, "Add with carry ", 0
            db  "15       id ", 0, "ADC EAX,imm32 ", 0, "Add with carry ", 0
            db  "16", 0, "PUSH SS ", 0, "Push SS", 0
            db  "17", 0, "POP SS", 0, "Pop SS", 0
            db  "18    /r", 0, "SBB r/m8,r8 ", 0, "Subtract with borrow ", 0
            db  "19    /r", 0, "SBB r/m32,r32 ", 0, "Subtract with borrow ", 0
            db  "1A    /r", 0, "SBB r8,r/m8 ", 0, "Subtract with borrow ", 0
            db  "1B    /r", 0, "SBB r32,r/m32 ", 0, "Subtract with borrow ", 0
            db  "1C       ib ", 0, "SBB AL,imm8 ", 0, "Subtract with borrow ", 0
            db  "1D       id ", 0, "SBB EAX,imm32 ", 0, "Subtract with borrow ", 0
            db  "1E", 0, "PUSH DS ", 0, "Push DS", 0
            db  "1F", 0, "POP DS", 0, "Pop DS", 0
            db  "20    /r", 0, "AND r/m8,r8 ", 0, "AND", 0
            db  "21    /r", 0, "AND r/m32,r32 ", 0, "AND", 0
            db  "22    /r", 0, "AND r8,r/m8 ", 0, "AND", 0
            db  "23    /r", 0, "AND r32,r/m32 ", 0, "AND", 0
            db  "24       ib ", 0, "AND AL,imm8 ", 0, "AND ", 0
            db  "25       id ", 0, "AND EAX,imm32 ", 0, "AND", 0
            db  "26", 0, "ES: ", 0, "Segment overide prefix", 0
            db  "27", 0, "DAA ", 0, "Decimal adjust AL after addition", 0
            db  "28    /r", 0, "SUB r/m8,r8 ", 0, "Subtract ", 0
            db  "29    /r", 0, "SUB r/m32,r32 ", 0, "Subtract ", 0
            db  "2A    /r", 0, "SUB r8,r/m8 ", 0, "Subtract ", 0
            db  "2B    /r", 0, "SUB r32,r/m32 ", 0, "Subtract ", 0
            db  "2C       ib ", 0, "SUB AL,imm8 ", 0, "Subtract ", 0
            db  "2D       id ", 0, "SUB EAX,imm32 ", 0, "Subtract ", 0
            db  "2E", 0, "CS: ", 0, "Segment overide prefix", 0
            db  "2F", 0, "DAS ", 0, "Decimal adjust AL after subtraction", 0
            db  "30    /r", 0, "XOR r/m8,r8 ", 0, "Logical Exclusive OR", 0
            db  "31    /r", 0, "XOR r/m32,r32 ", 0, "Logical Exclusive OR", 0
            db  "32    /r", 0, "XOR r8,r/m8 ", 0, "Logical Exclusive OR", 0
            db  "33    /r", 0, "XOR r32,r/m32 ", 0, "Logical Exclusive OR", 0
            db  "34       ib ", 0, "XOR AL,imm8 ", 0, "Logical Exclusive OR", 0
            db  "35       id ", 0, "XOR EAX,imm32 ", 0, "Logical Exclusive OR", 0
            db  "36", 0, "SS: ", 0, "Segment overide prefix", 0
            db  "37", 0, "AAA ", 0, "ASCII adjust AL after addition", 0
            db  "38    /r", 0, "CMP r/m8,r8 ", 0, "Compare ", 0
            db  "39    /r", 0, "CMP r/m32,r32 ", 0, "Compare ", 0
            db  "3A    /r", 0, "CMP r8,r/m8 ", 0, "Compare ", 0
            db  "3B    /r", 0, "CMP r32,r/m32 ", 0, "Compare ", 0
            db  "3C       ib ", 0, "CMP AL,imm8 ", 0, "Compare ", 0
            db  "3D       id ", 0, "CMP EAX,imm32 ", 0, "Compare", 0
            db  "3E", 0, "DS: ", 0, "Segment overide prefix", 0
            db  "3F", 0, "AAS ", 0, "ASCII adjust AL after subtraction", 0
            db  "40+rd ", 0, "INC r32 ", 0, "Increment register by 1", 0
            db  "48+rd ", 0, "DEC r32 ", 0, "Decrement r32 by 1", 0
            db  "50+rd ", 0, "PUSH r32", 0, "Push r32", 0
            db  "58+rd ", 0, "POP r32 ", 0, "Pop r32", 0
            db  "60", 0, "PUSHAD", 0, "Push All g-regs", 0
            db  "61", 0, "POPAD ", 0, "Pop EDI,... and EAX", 0
            db  "62    /r", 0, "BOUND r32,m32&32", 0, "Check Array Index Against Bounds", 0
            db  "63    /r", 0, "ARPL r/m16,r16", 0, "Adjust Request Privilege Level of Sel.", 0
            db  "64", 0, "FS: ", 0, "Segment overide prefix", 0
            db  "65", 0, "GS: ", 0, "Segment overide prefix", 0
            db  "66", 0, "Opsize: ", 0, "Operand size overide prefix", 0
            db  "67", 0, "Address:", 0, "Address size overide prefix", 0
            db  "68       id ", 0, "PUSH imm32", 0, "Push imm32", 0
            db  "69    /r id ", 0, "IMUL r32,imm32", 0, "Multiply", 0
            db  "69    /r id ", 0, "IMUL r32,r/m32,imm32", 0, "Multiply", 0
            db  "6A       ib ", 0, "PUSH imm8 ", 0, "Push imm8", 0
            db  "6B    /r ib ", 0, "IMUL r32,imm8 ", 0, "Multiply", 0
            db  "6B    /r ib ", 0, "IMUL r32,r/m32,imm8 ", 0, "Multiply", 0
            db  "6C", 0, "INS m8", 0, "Input byte from I/O(DX) into  ES:(E)DI", 0
            db  "6D", 0, "INS m32 ", 0, "Input dw from I/O(DX) into ES:(E)DI", 0
            db  "6E", 0, "OUTS DX,m8", 0, "Output byte from DS:(E)SI to I/O(DX)", 0
            db  "6F", 0, "OUTS DX,m32 ", 0, "Output dword from DS:(E)SI to I/O (DX)", 0
            db  "70       cb ", 0, "JO rel8 ", 0, "Jump short if overflow ", 0
            db  "71       cb ", 0, "JNO rel8", 0, "Jump short if not overflow ", 0
            db  "72       cb ", 0, "JC rel8 ", 0, "Jump short if carry ", 0
            db  "73       cb ", 0, "JAE rel8", 0, "Jump short if above or equal ", 0
            db  "74       cb ", 0, "JE rel8 ", 0, "Jump short if equal ", 0
            db  "75       cb ", 0, "JNE rel8", 0, "Jump short if not equal ", 0
            db  "76       cb ", 0, "JBE rel8", 0, "Jump short if below or equal ", 0
            db  "77       cb ", 0, "JA rel8 ", 0, "Jump short if above ", 0
            db  "78       cb ", 0, "JS rel8 ", 0, "Jump short if sign ", 0
            db  "79       cb ", 0, "JNS rel8", 0, "Jump short if not sign ", 0
            db  "7A       cb ", 0, "JPE rel8", 0, "Jump short if parity even ", 0
            db  "7B       cb ", 0, "JPO rel8", 0, "Jump short if parity odd ", 0
            db  "7C       cb ", 0, "JL rel8 ", 0, "Jump short if less ", 0
            db  "7D       cb ", 0, "JGE rel8", 0, "Jump short if greater or equal ", 0
            db  "7E       cb ", 0, "JLE rel8", 0, "Jump short if less or equal ", 0
            db  "7F       cb ", 0, "JG rel8 ", 0, "Jump short if greater ", 0
            db  "80    /0 ib ", 0, "ADD r/m8,imm8 ", 0, "Add ", 0
            db  "80    /1 ib ", 0, "OR r/m8,imm8", 0, "OR ", 0
            db  "80    /2 ib ", 0, "ADC r/m8,imm8 ", 0, "Add with carry ", 0
            db  "80    /3 ib ", 0, "SBB r/m8,imm8 ", 0, "Subtract with borrow ", 0
            db  "80    /4 ib ", 0, "AND r/m8,imm8 ", 0, "AND", 0
            db  "80    /5 ib ", 0, "SUB r/m8,imm8 ", 0, "Subtract ", 0
            db  "80    /6 ib ", 0, "XOR r/m8,imm8 ", 0, "Logical Exclusive OR", 0
            db  "80    /7 ib ", 0, "CMP r/m8,imm8 ", 0, "Compare ", 0
            db  "81    /0 id ", 0, "ADD r/m32,imm32 ", 0, "Add ", 0
            db  "81    /1 id ", 0, "OR r/m32,imm32", 0, "OR ", 0
            db  "81    /2 id ", 0, "ADC r/m32,imm32 ", 0, "Add with carry", 0
            db  "81    /3 id ", 0, "SBB r/m32,imm32 ", 0, "Subtract with borrow ", 0
            db  "81    /4 id ", 0, "AND r/m32,imm32 ", 0, "AND", 0
            db  "81    /5 id ", 0, "SUB r/m32,imm32 ", 0, "Subtract ", 0
            db  "81    /6 id ", 0, "XOR r/m32,imm32 ", 0, "Logical Exclusive OR", 0
            db  "81    /7 id ", 0, "CMP r/m32,imm32 ", 0, "Compare ", 0
            db  "83    /0 ib ", 0, "ADD r/m32,imm8", 0, "Add ", 0
            db  "83    /1 ib ", 0, "OR r/m32,imm8 ", 0, "OR ", 0
            db  "83    /2 ib ", 0, "ADC r/m32,imm8", 0, "Add with carry", 0
            db  "83    /3 ib ", 0, "SBB r/m32,imm8", 0, "Subtract with borrow ", 0
            db  "83    /4 ib ", 0, "AND r/m32,imm8", 0, "AND", 0
            db  "83    /5 ib ", 0, "SUB r/m32,imm8", 0, "Subtract ", 0
            db  "83    /6 ib ", 0, "XOR r/m32,imm8", 0, "Logical Exclusive OR", 0
            db  "83    /7 ib ", 0, "CMP r/m32,imm8", 0, "Compare ", 0
            db  "84    /r", 0, "TEST r/m8,r8", 0, "Logical Compare", 0
            db  "85    /r", 0, "TEST r/m16,r16", 0, "Logical Compare", 0
            db  "85    /r", 0, "TEST r/m32,r32", 0, "Logical Compare", 0
            db  "86    /r", 0, "XCHG r/m8,r8", 0, "Exchange byte ", 0
            db  "86    /r", 0, "XCHG r8,r/m8", 0, "Exchange byte ", 0
            db  "87    /r", 0, "XCHG r/m32,r32", 0, "Exchange doubleword ", 0
            db  "87    /r", 0, "XCHG r32,r/m32", 0, "Exchange doubleword ", 0
            db  "88    /r", 0, "MOV r/m8,r8 ", 0, "Move ", 0
            db  "89    /r", 0, "MOV r/m32,r32 ", 0, "Move ", 0
            db  "8A    /r", 0, "MOV r8,r/m8 ", 0, "Move ", 0
            db  "8B    /r", 0, "MOV r32,r/m32 ", 0, "Move ", 0
            db  "8C    /r", 0, "MOV r/m16,Sreg**", 0, "Move segment register to r/m16", 0
            db  "8D    /r", 0, "LEA r32,m ", 0, "Load effective address", 0
            db  "8E    /r", 0, "MOV Sreg,r/m16**", 0, "Move r/m16 to segment register", 0
            db  "8F    /0", 0, "POP m32 ", 0, "Pop m32", 0
            db  "90", 0, "NOP ", 0, "No operation", 0
            db  "90+rd ", 0, "XCHG EAX,r32", 0, "Exchange r32 with EAX", 0
            db  "90+rd ", 0, "XCHG r32,EAX", 0, "Exchange EAX with r32", 0
            db  "98", 0, "CBW ", 0, "Convert Byte to Word", 0
            db  "99", 0, "CDQ ", 0, "Convert Doubleword to Quadword ", 0
            db  "99", 0, "CWD ", 0, "Convert Word to Doubleword", 0
            db  "9A       cp ", 0, "CALL ptr16:32 ", 0, "Call far, abs.add. given in operand", 0
            db  "9B", 0, "FWAIT ", 0, "Wait", 0
            db  "9B", 0, "WAIT", 0, "Wait", 0
            db  "9B D9 /6", 0, "FSTENV m14/28byte ", 0, "Store FPU environment", 0
            db  "9B D9 /7", 0, "FSTCW m2byte", 0, "Store FPU control word", 0
            db  "9B DB E2", 0, "FCLEX ", 0, "Clear f.e.f. after checking for ..", 0
            db  "9B DB E3", 0, "FINIT ", 0, "Initialize FPU after ...", 0
            db  "9B DD /6", 0, "FSAVE m94/108byte ", 0, "Store FPU status to m94 or m108", 0
            db  "9B DD /7", 0, "FSTSW m2byte", 0, "Store FPU status word at m2byte after ", 0
            db  "9B DF E0", 0, "FSTSW AX", 0, "Store FPU status word in AX  after ", 0
            db  "9C", 0, "PUSHFD", 0, "Push EFLAGS", 0
            db  "9D", 0, "POPFD ", 0, "Pop Stack into EFLAGS Register", 0
            db  "9E", 0, "SAHF", 0, "Store AH into Flags", 0
            db  "9F", 0, "LAHF", 0, "Load Status Flags into AH ", 0
            db  "A0", 0, "MOV AL, moffs8* ", 0, "Move byte at ( seg:offset) to AL", 0
            db  "A1", 0, "MOV AX, moffs16*", 0, "Move word at ( seg:offset) to AX", 0
            db  "A1", 0, "MOV EAX, moffs32* ", 0, "Move dword at ( seg:offset) to EAX", 0
            db  "A2", 0, "MOV moffs8*,AL", 0, "Move AL to ( seg:offset)", 0
            db  "A3", 0, "MOV moffs16*,AX ", 0, "Move AX to ( seg:offset)", 0
            db  "A3", 0, "MOV moffs32*,EAX", 0, "Move EAX to ( seg:offset)", 0
            db  "A4", 0, "MOVS m8,m8", 0, "Move byte at DS:(E)SI to  ES:(E)DI", 0
            db  "A5", 0, "MOVS m32,m32", 0, "Move dword at DS:(E)SI to  ES:(E)DI", 0
            db  "A6", 0, "CMPSB ", 0, "Compare byte at DS:(E)SI with ES:(E)DI ", 0
            db  "A7", 0, "CMPSD ", 0, "Compare dw   at DS:(E)SI with ES:(E)DI", 0
            db  "A8       ib ", 0, "TEST AL,imm8", 0, "Logical Compare", 0
            db  "A9       id ", 0, "TEST EAX,imm32", 0, "Logical Compare", 0
            db  "AA", 0, "STOS m8 ", 0, "Store String", 0
            db  "AB", 0, "STOS m32", 0, "Store String", 0
            db  "AC", 0, "LODS m8 ", 0, "Load byte at address DS:(E)SI into AL", 0
            db  "AD", 0, "LODS m32", 0, "Load dword at address DS:(E)SI into EAX", 0
            db  "AE", 0, "SCAS m8 ", 0, "Scan String ", 0
            db  "AF", 0, "SCAS m32", 0, "Scan String", 0
            db  "B0+rb ", 0, "MOV r8,imm8 ", 0, "Move imm8 to r8", 0
            db  "B8+rd ", 0, "MOV r32,imm32 ", 0, "Move imm32 to r32", 0
            db  "C0    /0 ib ", 0, "ROL r/m8,imm8 ", 0, "Rotate 8 bits r/m8 left imm8 times", 0
            db  "C0    /1 ib ", 0, "ROR r/m8,imm8 ", 0, "Rotate 8 bits r/m16 right imm8 times", 0
            db  "C0    /2 ib ", 0, "RCL r/m8,imm8 ", 0, "Rotate 9 bits left imm8 times", 0
            db  "C0    /3 ib ", 0, "RCR r/m8,imm8 ", 0, "Rotate 9 bits right imm8 times", 0
            db  "C0    /4 ib ", 0, "SAL r/m8,imm8 ", 0, "Shift Arithmetic Left", 0
            db  "C0    /4 ib ", 0, "SHL r/m8,imm8 ", 0, "Shift Logical Left", 0
            db  "C0    /5 ib ", 0, "SHR r/m8,imm8 ", 0, "Shift Logical Right", 0
            db  "C0    /7 ib ", 0, "SAR r/m8,imm8 ", 0, "Shift Arithmetic Right", 0
            db  "C1    /0 ib ", 0, "ROL r/m32,imm8", 0, "Rotate 32 bits r/m32 left imm8 times", 0
            db  "C1    /1 ib ", 0, "ROR r/m32,imm8", 0, "Rotate 32 bits r/m32 right imm8 times", 0
            db  "C1    /2 ib ", 0, "RCL r/m32,imm8", 0, "Rotate 33 bits left imm8 times", 0
            db  "C1    /3 ib ", 0, "RCR r/m32,imm8", 0, "Rotate 33 bits right imm8 times", 0
            db  "C1    /4 ib ", 0, "SAL r/m32,imm8", 0, "Shift Arithmetic Left", 0
            db  "C1    /4 ib ", 0, "SHL r/m32,imm8", 0, "Shift Logical Left", 0
            db  "C1    /5 ib ", 0, "SHR r/m32,imm8", 0, "Shift Logical Right", 0
            db  "C1    /7 ib ", 0, "SAR r/m32,imm8", 0, "Shift Arithmetic Right", 0
            db  "C2       iw ", 0, "RET imm16 ", 0, "Near return, pop imm16 bytes from stack", 0
            db  "C3", 0, "RET ", 0, "Near return ", 0
            db  "C4    /r", 0, "LES r32,m16:32", 0, "Load ES:r32 with far ptr ", 0
            db  "C5    /r", 0, "LDS r32,m16:32", 0, "Load DS:r32 with far ptr", 0
            db  "C6    /0 ib ", 0, "MOV r/m8,imm8 ", 0, "Move imm8 to r/m8", 0
            db  "C7    /0 id ", 0, "MOV r/m32,imm32 ", 0, "Move imm32 to r/m32", 0
            db  "C8     iw 00", 0, "ENTER imm16,0 ", 0, "Create a stack frame for a procedure", 0
            db  "C8     iw 01", 0, "ENTER imm16,1 ", 0, "Create a nested stack frame for a proc.", 0
            db  "C8     iw ib", 0, "ENTER imm16,imm8", 0, "Create a nested stack frame for a proc.", 0
            db  "C9", 0, "LEAVE ", 0, "Set ESP to EBP, then pop EBP", 0
            db  "CA       iw ", 0, "RET imm16 ", 0, "Far return, pop imm16 bytes from stack", 0
            db  "CB", 0, "RET ", 0, "Far return ", 0
            db  "CC", 0, "INT 3 ", 0, "Interrupt 3--trap to debugger", 0
            db  "CD       ib ", 0, "INT imm8", 0, "Interrupt vector number (imm8)", 0
            db  "CE", 0, "INTO", 0, "Interrupt 4--if overflow flag is 1", 0
            db  "CF", 0, "IRETD ", 0, "Interrupt return(32)", 0
            db  "D0    /0", 0, "ROL r/m8,1", 0, "Rotate 8 bits r/m8 left once", 0
            db  "D0    /1", 0, "ROR r/m8,1", 0, "Rotate 8 bits r/m8 right once", 0
            db  "D0    /2", 0, "RCL r/m8,1", 0, "Rotate 9 bits left once", 0
            db  "D0    /3", 0, "RCR r/m8,1", 0, "Rotate 9 bits right once", 0
            db  "D0    /4", 0, "SAL r/m8,1", 0, "Shift Arithmetic Left", 0
            db  "D0    /4", 0, "SHL r/m8,1", 0, "Shift Logical Left", 0
            db  "D0    /5", 0, "SHR r/m8,1", 0, "Shift Logical Right", 0
            db  "D0    /7", 0, "SAR r/m8,1", 0, "Shift Arithmetic Right", 0
            db  "D1    /0", 0, "ROL r/m32,1 ", 0, "Rotate 32 bits r/m32 left once", 0
            db  "D1    /1", 0, "ROR r/m32,1 ", 0, "Rotate 32 bits r/m32 right once", 0
            db  "D1    /2", 0, "RCL r/m32,1 ", 0, "Rotate 33 bits left once", 0
            db  "D1    /3", 0, "RCR r/m32,1 ", 0, "Rotate 33 bits right once", 0
            db  "D1    /4", 0, "SAL r/m32,1 ", 0, "Shift Arithmetic Left", 0
            db  "D1    /4", 0, "SHL r/m32,1 ", 0, "Shift Logical Left", 0
            db  "D1    /5", 0, "SHR r/m32,1 ", 0, "Shift Logical Right", 0
            db  "D1    /7", 0, "SAR r/m32,1 ", 0, "Shift Arithmetic Right", 0
            db  "D2    /0", 0, "ROL r/m8,CL ", 0, "Rotate 8 bits r/m8 left CL times", 0
            db  "D2    /1", 0, "ROR r/m8,CL ", 0, "Rotate 8 bits r/m8 right CL times", 0
            db  "D2    /2", 0, "RCL r/m8,CL ", 0, "Rotate 9 bits left CL times", 0
            db  "D2    /3", 0, "RCR r/m8,CL ", 0, "Rotate 9 bits right CL times", 0
            db  "D2    /4", 0, "SAL r/m8,CL ", 0, "Shift Arithmetic Left", 0
            db  "D2    /4", 0, "SHL r/m8,CL ", 0, "Shift Logical Left", 0
            db  "D2    /5", 0, "SHR r/m8,CL ", 0, "Shift Logical Right", 0
            db  "D2    /7", 0, "SAR r/m8,CL ", 0, "Shift Arithmetic Right", 0
            db  "D3    /0", 0, "ROL r/m32,CL", 0, "Rotate 32 bits r/m32 left CL times", 0
            db  "D3    /1", 0, "ROR r/m32,CL", 0, "Rotate 32 bits r/m32 right CL times", 0
            db  "D3    /2", 0, "RCL r/m32,CL", 0, "Rotate 33 bits left CL times", 0
            db  "D3    /3", 0, "RCR r/m32,CL", 0, "Rotate 33 bits right CL times", 0
            db  "D3    /4", 0, "SAL r/m32,CL", 0, "Shift Arithmetic Left", 0
            db  "D3    /4", 0, "SHL r/m32,CL", 0, "Shift Logical Left", 0
            db  "D3    /5", 0, "SHR r/m32,CL", 0, "Shift Logical Right", 0
            db  "D3    /7", 0, "SAR r/m32,CL", 0, "Shift Arithmetic Right", 0
            db  "D4 0A ", 0, "AAM ", 0, "ASCII adjust AX after multiplication", 0
            db  "D5 0A ", 0, "AAD ", 0, "ASCII adjust AX before division", 0
            db  "D6", 0, "SETALC", 0, "Set ALC: undocumented", 0
            db  "D7", 0, "XLAT m8 ", 0, "Table Look-up Translation", 0
            db  "D8    /0", 0, "FADD m32real", 0, "Add m32real to ST(0) and s.r. in ST(0)", 0
            db  "D8    /1", 0, "FMUL m32real", 0, "Multiply ST(0) by m32real and s.r.in ST(0)", 0
            db  "D8    /2", 0, "FCOM m32real", 0, "Compare ST(0) with m32real.", 0
            db  "D8    /3", 0, "FCOMP m32real ", 0, "Compare ST(0) with m32real,pop r.stack.", 0
            db  "D8    /4", 0, "FSUB m32real", 0, "Sub m32real from ST(0) and s.r.in ST(0)", 0
            db  "D8    /5", 0, "FSUBR m32real ", 0, "Sub ST(0) from m32real and s.r.in ST(0)", 0
            db  "D8    /6", 0, "FDIV m32real", 0, "Divide ST(0) by m32real and s.r.in ST(0)", 0
            db  "D8    /7", 0, "FDIVR m32real ", 0, "Divide m32real by ST(0) and s.r.in ST(0)", 0
            db  "D8 C0+i ", 0, "FADD ST(0),ST(i)", 0, "Add ST(0) to ST(i) and s.r.in ST(0)", 0
            db  "D8 C8+i ", 0, "FMUL ST(0),ST(i)", 0, "Multiply ST(0) by ST(i) and s.r.in ST(0)", 0
            db  "D8 D0+i ", 0, "FCOM ST(i)", 0, "Compare ST(0) with ST(i).", 0
            db  "D8 D1 ", 0, "FCOM", 0, "Compare ST(0) with ST(1).", 0
            db  "D8 D8+i ", 0, "FCOMP ST(i) ", 0, "Compare ST(0) with ST(i), pop ", 0
            db  "D8 D9 ", 0, "FCOMP ", 0, "Compare ST(0) with ST(1), pop ", 0
            db  "D8 E0+i ", 0, "FSUB ST(0),ST(i)", 0, "Sub ST(i) from ST(0) and s.r.in ST(0)", 0
            db  "D8 E8+i ", 0, "FSUBR ST(0),ST(i) ", 0, "Sub ST(0) from ST(i) and s.r.in ST(0)", 0
            db  "D8 F0+i ", 0, "FDIV ST(0),ST(i)", 0, "Divide ST(0) by ST(i) and s.r.in ST(0)", 0
            db  "D8 F8+i ", 0, "FDIVR ST(0),ST(i) ", 0, "Divide ST(i) by ST(0) and s.r.in ST(0)", 0
            db  "D9    /0", 0, "FLD m32real ", 0, "Push m32real ", 0
            db  "D9    /2", 0, "FST m32real ", 0, "Copy ST(0) to m32real", 0
            db  "D9    /3", 0, "FSTP m32real", 0, "Copy ST(0) to m32real and pop ", 0
            db  "D9    /4", 0, "FLDENV m14/28byte ", 0, "Load FPU environment from m14/m28", 0
            db  "D9    /5", 0, "FLDCW m2byte", 0, "Load FPU control word from m2byte", 0
            db  "D9    /6", 0, "FNSTENV m14/28byte", 0, "Store FPU env without", 0
            db  "D9    /7", 0, "FNSTCW m2byte ", 0, "Store FPU control word without", 0
            db  "D9 C0+i ", 0, "FLD ST(i) ", 0, "Push ST(i) ", 0
            db  "D9 C8+i ", 0, "FXCH ST(i)", 0, "Exchange ST(0) and ST(i)", 0
            db  "D9 C9 ", 0, "FXCH", 0, "Exchange ST(0) and ST(1)", 0
            db  "D9 D0 ", 0, "FNOP", 0, "No operation is performed", 0
            db  "D9 E0 ", 0, "FCHS", 0, "Complements sign of ST(0)", 0
            db  "D9 E1 ", 0, "FABS", 0, "Replace ST(0) with its absolute value", 0
            db  "D9 E4 ", 0, "FTST", 0, "Compare ST(0) with 0.0", 0
            db  "D9 E5 ", 0, "FXAM", 0, "Classify value or number in ST(0)", 0
            db  "D9 E8 ", 0, "FLD1", 0, "Push +1.0 ", 0
            db  "D9 E9 ", 0, "FLDL2T", 0, "Push log2 10 ", 0
            db  "D9 EA ", 0, "FLDL2E", 0, "Push log2 e ", 0
            db  "D9 EB ", 0, "FLDPI ", 0, "Push pi ", 0
            db  "D9 EC ", 0, "FLDLG2", 0, "Push log10 2 ", 0
            db  "D9 ED ", 0, "FLDLN2", 0, "Push loge 2 ", 0
            db  "D9 EE ", 0, "FLDZ", 0, "Push +0.0 ", 0
            db  "D9 F0 ", 0, "F2XM1 ", 0, "Replace ST(0) with 2**ST(0) - 1", 0
            db  "D9 F1 ", 0, "FYL2X ", 0, "Replace ST(1) with ST(1)*log2ST(0) and pop", 0
            db  "D9 F2 ", 0, "FPTAN ", 0, "Replaces ST(0) with its tangent push 1.0", 0
            db  "D9 F3 ", 0, "FPATAN", 0, "Repalces ST(1) with arctan(ST(1)/ST(0)) pop ", 0
            db  "D9 F4 ", 0, "FXTRACT ", 0, "Seperate value in ST(0) exp. and sig.", 0
            db  "D9 F5 ", 0, "FPREM1", 0, "Replaces ST(0) with IEEE rem(ST(0)/ST(1))", 0
            db  "D9 F6 ", 0, "FDECSTP ", 0, "Decrement TOP field in FPU status word.", 0
            db  "D9 F7 ", 0, "FINCSTP ", 0, "Increment the TOP field FPU status r.", 0
            db  "D9 F8 ", 0, "FPREM ", 0, "Replaces ST(0) with rem (ST(0)/ST(1))", 0
            db  "D9 F9 ", 0, "FYL2XP1 ", 0, "Replace ST(1) with ST(1)*log2(ST(0)+1) pop", 0
            db  "D9 FA ", 0, "FSQRT ", 0, "square root of ST(0)", 0
            db  "D9 FB ", 0, "FSINCOS ", 0, "Compute sine and consine of ST(0) s push c", 0
            db  "D9 FC ", 0, "FRNDINT ", 0, "Round ST(0) to an integer", 0
            db  "D9 FD ", 0, "FSCALE", 0, "Scale ST(0) by ST(1)", 0
            db  "D9 FE ", 0, "FSIN", 0, "Replace ST(0) with its sine", 0
            db  "D9 FF ", 0, "FCOS", 0, "Replace ST(0) with its cosine", 0
            db  "DA    /0", 0, "FIADD m32int", 0, "Add m32int to ST(0) and s.r.in ST(0)", 0
            db  "DA    /1", 0, "FIMUL m32int", 0, "Multiply ST(0) by m32int and s.r.in ST(0)", 0
            db  "DA    /2", 0, "FICOM m32int", 0, "Compare ST(0) with m32int", 0
            db  "DA    /3", 0, "FICOMP m32int ", 0, "Compare ST(0) with m32int and pop ", 0
            db  "DA    /4", 0, "FISUB m32int", 0, "Sub m32int from ST(0) and s.r.in ST(0)", 0
            db  "DA    /5", 0, "FISUBR m32int ", 0, "Sub ST(0) from m32int and s.r.in ST(0)", 0
            db  "DA    /6", 0, "FIDIV m32int", 0, "Divide ST(0) by m32int and s.r.in ST(0)", 0
            db  "DA    /7", 0, "FIDIVR m32int ", 0, "Divide m32int by ST(0) and s.r.in ST(0)", 0
            db  "DA C0+i ", 0, "FCMOVB ST(0),ST(i)", 0, "Move if below ", 0
            db  "DA C8+i ", 0, "FCMOVE ST(0),ST(i)", 0, "Move if equal ", 0
            db  "DA D0+i ", 0, "FCMOVBE ST(0),ST(i) ", 0, "Move if below or equal ", 0
            db  "DA D8+i ", 0, "FCMOVU ST(0),ST(i)", 0, "Move if unordered ", 0
            db  "DA E9 ", 0, "FUCOMPP ", 0, "Compare ST(0) with ST(1) and pop pop", 0
            db  "DB    /0", 0, "FILD m32int ", 0, "Push m32int ", 0
            db  "DB    /2", 0, "FIST m32int ", 0, "Store ST(0) in m32int", 0
            db  "DB    /3", 0, "FISTP m32int", 0, "Store ST(0) in m32int and pop ", 0
            db  "DB    /5", 0, "FLD m80real ", 0, "Push m80real ", 0
            db  "DB    /7", 0, "FSTP m80real", 0, "Copy ST(0) to m80real and pop ", 0
            db  "DB C0+i ", 0, "FCMOVNB ST(0),ST(i) ", 0, "Move if not below ", 0
            db  "DB C8+i ", 0, "FCMOVNE ST(0),ST(i) ", 0, "Move if not equal ", 0
            db  "DB D0+i ", 0, "FCMOVNBE ST(0),ST(i)", 0, "Move if not below or equal ", 0
            db  "DB D8+i ", 0, "FCMOVNU ST(0),ST(i) ", 0, "Move if not unordered ", 0
            db  "DB E2 ", 0, "FNCLEX", 0, "Clear f.e.f. without checking for ..", 0
            db  "DB E3 ", 0, "FNINIT", 0, "Initialize FPU without ...", 0
            db  "DB E8+i ", 0, "FUCOMI ST,ST(i) ", 0, "Compare ST(0) with ST(i), check o.v.set s.f.", 0
            db  "DB F0+i ", 0, "FCOMI ST,ST(i)", 0, "Compare ST(0) with ST(i), set status flags", 0
            db  "DC    /0", 0, "FADD m64real", 0, "Add m64real to ST(0) and s.r.in ST(0)", 0
            db  "DC    /1", 0, "FMUL m64real", 0, "Multiply ST(0) by m64real and s.r.in ST(0)", 0
            db  "DC    /2", 0, "FCOM m64real", 0, "Compare ST(0) with m64real.", 0
            db  "DC    /3", 0, "FCOMP m64real ", 0, "Compare ST(0) with m64real,pop r.stack.", 0
            db  "DC    /4", 0, "FSUB m64real", 0, "Sub m64real from ST(0) and s.r.in ST(0)", 0
            db  "DC    /5", 0, "FSUBR m64real ", 0, "Sub ST(0) from m64real and s.r.in ST(0)", 0
            db  "DC    /6", 0, "FDIV m64real", 0, "Divide ST(0) by m64real and s.r.in ST(0)", 0
            db  "DC    /7", 0, "FDIVR m64real ", 0, "Divide m64real by ST(0) and s.r.in ST(0)", 0
            db  "DC C0+i ", 0, "FADD ST(i),ST(0)", 0, "Add ST(i) to ST(0) and s.r. in ST(i)", 0
            db  "DC C8+i ", 0, "FMUL ST(i),ST(0)", 0, "Multiply ST(i) by ST(0) and s.r.in ST(i)", 0
            db  "DC D0+i ", 0, "FCOM ST(i),ST(0)", 0, "Compare ST(i) with ST(0) and s.r.in ST(i)", 0
            db  "DC D8+i ", 0, "FCOMP ST(i),ST(0) ", 0, "Compare ..                     pop ", 0
            db  "DC E0+i ", 0, "FSUBR ST(i),ST(0) ", 0, "Sub ST(i) from ST(0) and s.r.in ST(i)", 0
            db  "DC E8+i ", 0, "FSUB ST(i),ST(0)", 0, "Sub ST(0) from ST(i) and s.r.in ST(i)", 0
            db  "DC F0+i ", 0, "FDIVR ST(i),ST(0) ", 0, "Divide ST(0) by ST(i) and s.r.in ST(i)", 0
            db  "DC F8+i ", 0, "FDIV ST(i),ST(0)", 0, "Divide ST(i) by ST(0) and s.r.in ST(i)", 0
            db  "DD    /0", 0, "FLD m64real ", 0, "Push m64real ", 0
            db  "DD    /2", 0, "FST m64real ", 0, "Copy ST(0) to m64real", 0
            db  "DD    /3", 0, "FSTP m64real", 0, "Copy ST(0) to m64real and pop ", 0
            db  "DD    /4", 0, "FRSTOR m94/108byte", 0, "Load FPU status from m94 or m108 byte", 0
            db  "DD    /6", 0, "FNSAVE m94/108byte", 0, "Store FPU environment to m94 or m108", 0
            db  "DD    /7", 0, "FNSTSW m2byte ", 0, "Store FPU status word at m2byte without ", 0
            db  "DD C0+i ", 0, "FFREE ST(i) ", 0, "Sets tag for ST(i) to empty", 0
            db  "DD D0+i ", 0, "FST ST(i) ", 0, "Copy ST(0) to ST(i)", 0
            db  "DD D8+i ", 0, "FSTP ST(i)", 0, "Copy ST(0) to ST(i) and pop ", 0
            db  "DD E0+i ", 0, "FUCOM ST(i) ", 0, "Compare ST(0) with ST(i)", 0
            db  "DD E1 ", 0, "FUCOM ", 0, "Compare ST(0) with ST(1)", 0
            db  "DD E8+i ", 0, "FUCOMP ST(i)", 0, "Compare ST(0) with ST(i) and pop ", 0
            db  "DD E9 ", 0, "FUCOMP", 0, "Compare ST(0) with ST(1) and pop ", 0
            db  "DE    /0", 0, "FIADD m16int", 0, "Add m16int to ST(0) and s.r.in ST(0)", 0
            db  "DE    /1", 0, "FIMUL m16int", 0, "Multiply ST(0) by m16int and s.r.in ST(0)", 0
            db  "DE    /2", 0, "FICOM m16int", 0, "Compare ST(0) with m16int", 0
            db  "DE    /3", 0, "FICOMP m16int ", 0, "Compare ST(0) with m16int and pop ", 0
            db  "DE    /4", 0, "FISUB m16int", 0, "Sub m16int from ST(0) and s.r.in ST(0)", 0
            db  "DE    /5", 0, "FISUBR m16int ", 0, "Sub ST(0) from m16int and s.r.in ST(0)", 0
            db  "DE    /6", 0, "FIDIV m16int", 0, "Divide ST(0) by m64int and s.r.in ST(0)", 0
            db  "DE    /7", 0, "FIDIVR m16int ", 0, "Divide m64int by ST(0) and s.r.in ST(0)", 0
            db  "DE C0+i ", 0, "FADDP ST(i),ST(0) ", 0, "Add ST(0) to ST(i), s.r.in ST(i),pop r.stack", 0
            db  "DE C1 ", 0, "FADDP ", 0, "Add ST(0) to ST(1), s.r.in ST(1),pop r.stack", 0
            db  "DE C8+i ", 0, "FMULP ST(i),ST(0) ", 0, "Multiply ST(i) by ST(0), s.r.in ST(i) pop ", 0
            db  "DE C9 ", 0, "FMULP ", 0, "Multiply ST(1) by ST(0), s.r.in ST(1) pop ", 0
            db  "DE D9 ", 0, "FCOMPP", 0, "Compare ST(0) with ST(1), pop pop", 0
            db  "DE E0+i ", 0, "FSUBRP ST(i),ST(0)", 0, "Sub ST(i) from ST(0), s.r. in ST(i) pop ", 0
            db  "DE E1 ", 0, "FSUBRP", 0, "Sub ST(1) from ST(0), s.r.in ST(1) pop ", 0
            db  "DE E8+i ", 0, "FSUBP ST(i),ST(0) ", 0, "Sub ST(0) from ST(i), s.r.in ST(i) pop", 0
            db  "DE E9 ", 0, "FSUBP ", 0, "Sub ST(0) from ST(1), s.r.in ST(1) pop ", 0
            db  "DE F0+i ", 0, "FDIVRP ST(i),ST(0)", 0, "Divide ST(0) by ST(i), s.r.in ST(i) pop ", 0
            db  "DE F1 ", 0, "FDIVRP", 0, "Divide ST(0) by ST(1), s.r.in ST(1) pop ", 0
            db  "DE F8+i ", 0, "FDIVP ST(i),ST(0) ", 0, "Divide ST(i) by ST(0), s.r.in ST(i) pop ", 0
            db  "DE F9 ", 0, "FDIVP ", 0, "Divide ST(1) by ST(0), s.r.in ST(1) pop ", 0
            db  "DF    /0", 0, "FILD m16int ", 0, "Push m16int ", 0
            db  "DF    /2", 0, "FIST m16int ", 0, "Store ST(0) in m16int", 0
            db  "DF    /3", 0, "FISTP m16int", 0, "Store ST(0) in m16int and pop ", 0
            db  "DF    /4", 0, "FBLD m80bcd ", 0, "Convert m80BCD to real and push ", 0
            db  "DF    /5", 0, "FILD m64int ", 0, "Push m64int ", 0
            db  "DF    /6", 0, "FBSTP m80bcd", 0, "Store ST(0) in m80bcd and pop ST(0)", 0
            db  "DF    /7", 0, "FISTP m64int", 0, "Store ST(0) in m64int and pop ", 0
            db  "DF E0 ", 0, "FNSTSW AX ", 0, "Store FPU status word in AX without ", 0
            db  "DF E8+i ", 0, "FUCOMIP ST,ST(i)", 0, "Compare ST(0) with ST(i), check ovssf pop ", 0
            db  "DF F0+i ", 0, "FCOMIP ST,ST(i) ", 0, "Compare ST(0) with ST(i), set s.f. ,pop ", 0
            db  "E0       cb ", 0, "LOOPNE rel8 ", 0, "Dec count;jump if count # 0 and ZF=0", 0
            db  "E0       cb ", 0, "LOOPNZ rel8 ", 0, "Dec count;jump if count # 0 and ZF=0", 0
            db  "E1       cb ", 0, "LOOPE rel8", 0, "Dec count;jump if count # 0 and ZF=1", 0
            db  "E1       cb ", 0, "LOOPZ rel8", 0, "Dec count;jump if count # 0 and ZF=1", 0
            db  "E2       cb ", 0, "LOOP rel8 ", 0, "Dec count;jump if count # 0", 0
            db  "E3       cb ", 0, "JECXZ rel8", 0, "Jump short if ECX register is 0", 0
            db  "E4       ib ", 0, "IN AL,imm8", 0, "Input byte from imm8 I/O port address into AL", 0
            db  "E5       ib ", 0, "IN EAX,imm8 ", 0, "Input byte from imm8 I/O port address into EAX", 0
            db  "E6       ib ", 0, "OUT imm8,AL ", 0, "Output byte in AL to I/O(imm8)", 0
            db  "E7       ib ", 0, "OUT imm8,EAX", 0, "Output dword in EAX to I/O(imm8)", 0
            db  "E8       cd ", 0, "CALL rel32", 0, "Call near, rel to n.inst", 0
            db  "E9       cd ", 0, "JMP rel32 ", 0, "Jump near, relative, ", 0
            db  "EA       cp ", 0, "JMP ptr16:32", 0, "Jump far, abs.add given in operand", 0
            db  "EB       cb ", 0, "JMP rel8", 0, "Jump short, relative, ", 0
            db  "EC", 0, "IN AL,DX", 0, "Input byte from I/O port in DX into AL", 0
            db  "ED", 0, "IN EAX,DX ", 0, "Input doubleword from I/O port in DX into EAX", 0
            db  "EE", 0, "OUT DX,AL ", 0, "Output byte in AL to I/O(DX)", 0
            db  "EF", 0, "OUT DX,EAX", 0, "Output dword in EAX to I/O(DX)", 0
            db  "F0", 0, "LOCK", 0, "Asserts LOCK signal for duration ..", 0
            db  "F1", 0, "INT1", 0, "ICEBP", 0
            db  "F2 A6 ", 0, "REPNE CMPS m8,m8", 0, "Find matching bytes in m and m", 0
            db  "F2 A7 ", 0, "REPNE CMPS m32,m32", 0, "Find matching dwords in m and m", 0
            db  "F2 AE ", 0, "REPNE SCAS m8 ", 0, "Find AL, starting at ES:[(E)DI]", 0
            db  "F2 AF ", 0, "REPNE SCAS m32", 0, "Find EAX, starting at ES:[(E)DI]", 0
            db  "F3 6C ", 0, "REP INS m8,DX ", 0, "Input ECX bytes from port DX into ES:[(E)DI]", 0
            db  "F3 6D ", 0, "REP INS m32,DX", 0, "Input ECX dwords from port DX into ES:[(E)DI]", 0
            db  "F3 6E ", 0, "REP OUTS DX,m8", 0, "Output ECX bytes from DS:[(E)SI] to port DX", 0
            db  "F3 6F ", 0, "REP OUTS DX,m32 ", 0, "Output ECX dwords from DS:[(E)SI] to port DX", 0
            db  "F3 A4 ", 0, "REP MOVS m8,m8", 0, "Move ECX bytes from DS:[(E)SI] to ES:[(E)DI]", 0
            db  "F3 A5 ", 0, "REP MOVS m32,m32", 0, "Move ECX dwords from DS:[(E)SI] to ES:[(E)DI]", 0
            db  "F3 A6 ", 0, "REPE CMPS m8,m8 ", 0, "Find nonmatching bytes in m and m", 0
            db  "F3 A7 ", 0, "REPE CMPS m32,m32 ", 0, "Find nonmatching dwords in m and m", 0
            db  "F3 AA ", 0, "REP STOS m8 ", 0, "Fill ECX bytes at ES:[(E)DI] with AL", 0
            db  "F3 AB ", 0, "REP STOS m32", 0, "Fill ECX dwords at ES:[(E)DI] with EAX", 0
            db  "F3 AC ", 0, "REP LODS AL ", 0, "Load ECX bytes from DS:[(E)SI] to AL", 0
            db  "F3 AD ", 0, "REP LODS EAX", 0, "Load ECX dwords from DS:[(E)SI] to EAX", 0
            db  "F3 AE ", 0, "REPE SCAS m8", 0, "Find non-AL byte starting at ", 0
            db  "F3 AF ", 0, "REPE SCAS m32 ", 0, "Find non-EAX dword starting at ", 0
            db  "F4", 0, "HLT ", 0, "Halt", 0
            db  "F5", 0, "CMC ", 0, "Complement CF flag", 0
            db  "F6    /2", 0, "NOT r/m8", 0, "Reverse each bit of r/m8", 0
            db  "F6    /3", 0, "NEG r/m8", 0, "Two's complement negate r/m8", 0
            db  "F6    /4", 0, "MUL r/m8", 0, "Unsigned multiply ", 0
            db  "F6    /5", 0, "IMUL r/m8 ", 0, "Multiply", 0
            db  "F6    /6", 0, "DIV r/m8", 0, "Unsigned divide AX by r/m8", 0
            db  "F6    /7", 0, "IDIV r/m8 ", 0, "Divide ", 0
            db  "F6    /0 ib ", 0, "TEST r/m8,imm8", 0, "Logical Compare", 0
            db  "F7    /2", 0, "NOT r/m32 ", 0, "Reverse each bit of r/m32", 0
            db  "F7    /3", 0, "NEG r/m32 ", 0, "Two's complement negate r/m32", 0
            db  "F7    /4", 0, "MUL r/m32 ", 0, "Unsigned multiply ", 0
            db  "F7    /5", 0, "IMUL r/m32", 0, "Multiply", 0
            db  "F7    /6", 0, "DIV r/m16 ", 0, "Unsigned divide DX:AX by r/m16", 0
            db  "F7    /6", 0, "DIV r/m32 ", 0, "Unsigned divide EDX:EAX by r/m32 ", 0
            db  "F7    /7", 0, "IDIV r/m32", 0, "Divide", 0
            db  "F7    /0 id ", 0, "TEST r/m32,imm32", 0, "Logical Compare", 0
            db  "F8", 0, "CLC ", 0, "Clear CF flag", 0
            db  "F9", 0, "STC ", 0, "Set Carry Flag", 0
            db  "FA", 0, "CLI ", 0, "Clear interrupt flag", 0
            db  "FB", 0, "STI ", 0, "Set Interrup Flag", 0
            db  "FC", 0, "CLD ", 0, "Clear DF flag", 0
            db  "FD", 0, "STD ", 0, "Set Direction Flag", 0
            db  "FE    /0", 0, "INC r/m8", 0, "Increment 1", 0
            db  "FE    /1", 0, "DEC r/m8", 0, "Decrement r/m8 by 1", 0
            db  "FF    /0", 0, "INC r/m32 ", 0, "Increment 1", 0
            db  "FF    /1", 0, "DEC r/m32 ", 0, "Decrement r/m32 by 1", 0
            db  "FF    /2", 0, "CALL r/m32", 0, "Call near, abs.ind.add. given in r/m32", 0
            db  "FF    /3", 0, "CALL m16:32 ", 0, "Call far, abs.ind.add. given in m16:32", 0
            db  "FF    /4", 0, "JMP r/m32 ", 0, "Jump near, abs.ind.in r/m32", 0
            db  "FF    /6", 0, "PUSH r/m32", 0, "Push r/m32", 0
            db  "FF    /r", 0, "JMP m16:32", 0, "Jump far, abs.ind.in m16:32", 0
            db  0
Table3      db  " /digit     ", 0, "A digit between 0 and 7 indicates that the ModR/M byte of", 0
            db  "            ", 0, "the instruction uses only the r/m (register or memory)", 0
            db  "            ", 0, "operand. The reg field contains the digit that provides an", 0
            db  "            ", 0, "extension to the instruction's opcode.", 0
            db  " ", 0, " ", 0
            db  " /r         ", 0, "Indicates that the ModR/M byte of the instruction contains", 0
            db  "            ", 0, "both a register operand and an r/m operand.", 0
            db  " ", 0, " ", 0
            db  " cb         ", 0, "A relative byte offset from the next instruction for JMP,", 0
            db  " ", 0, "CALL etc.", 0
            db  " ", 0, " ", 0
            db  " cw         ", 0, "A relative word offset from the next instruciton for JMP,", 0
            db  " ", 0, "CALL etc.", 0
            db  " ", 0, " ", 0
            db  " cd         ", 0, "A relative doubleword offset from the next instruction for", 0
            db  " ", 0, "JMP, CALL etc.", 0
            db  " ", 0, " ", 0
            db  " cp         ", 0, "An absolute far pointer for JMP, CALL etc.", 0
            db  " ", 0, " ", 0
            db  " ib, iw, id ", 0, "1-byte (ib), 2-byte (iw), or 4-byte (id) immediate operand ", 0
            db  " ", 0, " ", 0
            db  " +rb, +rw or", 0, "register code, from 0 through 7, added to an opcode byte.  ", 0
            db  " +rd        ", 0, "   rb     rw      rd", 0
            db  "            ", 0, "----------------------", 0
            db  "            ", 0, " AL = 0 AX = 0 EAX = 0", 0
            db  "            ", 0, " CL = 1 CX = 1 ECX = 1", 0
            db  "            ", 0, " DL = 2 DX = 2 EDX = 2", 0
            db  "            ", 0, " BL = 3 BX = 3 EBX = 3", 0
            db  "            ", 0, " AH = 4 SP = 4 ESP = 4", 0
            db  "            ", 0, " CH = 5 BP = 5 EBP = 5", 0
            db  "            ", 0, " DH = 6 SI = 6 ESI = 6", 0
            db  "            ", 0, " BH = 7 DI = 7 EDI = 7", 0
            db  " ", 0, " ", 0
            db  " +i         ", 0, "A number used in floating-point instructions when one of the", 0
            db  "            ", 0, "operands is ST(i) from the FPU register stack. ", 0
            db  " ", 0, " ", 0
            db  " rel8       ", 0, "A relative address in the range from -128 to 127 bytes from", 0
            db  " ", 0, "the end of the instruction.", 0
            db  " ", 0, " ", 0
            db  " rel16 or   ", 0, "A relative address within the same code segment as the", 0
            db  " rel32      ", 0, "instructionv assembled. ", 0
            db  " ", 0, " ", 0
            db  " ptr16:16 or", 0, "A far pointer, typically in a code segment different", 0
            db  " ", 0, " ", 0
            db  " ptr16:32   ", 0, "from that of the instruction. ", 0
            db  " ", 0, " ", 0
            db  " r8         ", 0, "One of the byte general-purpose registers.", 0
            db  " ", 0, " ", 0
            db  " r16        ", 0, "One of the word general-purpose registers.", 0
            db  " ", 0, " ", 0
            db  " r32        ", 0, "One of the doubleword general-purpose registers.", 0
            db  " ", 0, " ", 0
            db  " imm8       ", 0, "An immediate byte value. ", 0
            db  " ", 0, " ", 0
            db  " imm16      ", 0, "An immediate word value.  ", 0
            db  " ", 0, " ", 0
            db  " imm32      ", 0, "An immediate doubleword value. ", 0
            db  " ", 0, " ", 0
            db  " r/m8       ", 0, "A byte general-purpose register, or a byte from memory.", 0
            db  " ", 0, " ", 0
            db  " r/m16      ", 0, "A word general-purpose register, or a word memory operand.", 0
            db  " ", 0, " ", 0
            db  " r/m32      ", 0, "A doubleword general-purpose register, or a doubleword", 0
            db  " ", 0, "memory operand. ", 0
            db  " ", 0, " ", 0
            db  " m          ", 0, "A 16- or 32-bit operand in memory.", 0
            db  " ", 0, " ", 0
            db  " m8         ", 0, "A byte operand in memory,  pointed to by the DS:(E)SI or", 0 
            db  " ", 0, "ES:(E)DI registers. Used  with the string instructions and the", 0
            db  " ", 0, "XLAT instruction.", 0
            db  " ", 0, " ", 0
            db  " m16        ", 0, "A word operand in memory, pointed to by the DS:(E)SI or", 0
            db  "            ", 0, "ES:(E)DI registers. Used  only with the string", 0
            db  " ", 0, "instructions.", 0
            db  " ", 0, " ", 0
            db  " m32        ", 0, "A doubleword operand in memory, pointed to by the", 0
            db  "            ", 0, "DS:(E)SI or ES:(E)DI registers. Used only with the string", 0
            db  " ", 0, "instructions.", 0
            db  " ", 0, " ", 0
            db  " m64        ", 0, "A memory quadword operand in memory. Used only with the", 0
            db  " ", 0, "CMPXCHG8B instruction.", 0
            db  " ", 0, " ", 0
            db  " m16:16 or  ", 0, "A memory operand containing a far pointer composed of", 0
            db  " m16:32     ", 0, "two numbers. The number to the left of the colon", 0
            db  "            ", 0, "corresponds to the pointer's segment selector. The number", 0
            db  " ", 0, "to the right corresponds to its offset.", 0
            db  " ", 0, " ", 0
            db  " m16&32 or  ", 0, "A memory operand consisting of data item pairs whose", 0
            db  " m16&16 or  ", 0, "sizes are indicated on the left and the right side of the", 0
            db  " m32&32     ", 0, "ampersand. All memory addressing modes are allowed. The", 0
            db  "            ", 0, "m16&16 and m32&32 operands are used by the BOUND", 0
            db  " ", 0, "instruction to provide an operand containing an upper and", 0
            db  "            ", 0, "lower bounds for array indices. The m16&32 operand is used", 0
            db  "            ", 0, "by LIDT and LGDT to provide a word with which to load the", 0
            db  " ", 0, "limit field, and a doubleword with which to load the base field", 0
            db  "            ", 0, "of the corresponding GDTR and IDTR registers.", 0
            db  " ", 0, " ", 0
            db  " moffs8 or  ", 0, "A simple memory variable (memory offset) of type byte,", 0
            db  " moffs16 or ", 0, "word, or doubleword used by some variants of the MOV", 0
            db  " moffs32    ", 0, "instruction. The actual address is given by a simple offset", 0
            db  "            ", 0, "relative to the segment base. No ModR/M byte is used in the", 0
            db  " ", 0, "instruction. The number shown with moffs indicates its size,", 0
            db  "            ", 0, "which is determined by the address-size attribute of the", 0
            db  " ", 0, "instruction.", 0
            db  " ", 0, " ", 0
            db  " Sreg       ", 0, "A segment register. The segment register bit assignments", 0
            db  " ", 0, "are ES=0, CS=1, SS=2,", 0
            db  "            ", 0, "DS=3, FS=4, and GS=5.", 0
            db  " ", 0, " ", 0
            db  " m32real or ", 0, "A single-, double-, and extended-real floating-point", 0
            db  " ", 0, "operand in memory.", 0
            db  " m64real or ", 0, " ", 0
            db  " m80real    ", 0, " ", 0
            db  " ", 0, " ", 0
            db  " m16int or  ", 0, "A word-, short-, and long-integer floating-point", 0
            db  " ", 0, "operand in memory.", 0
            db  " m32int or  ", 0, " ", 0
            db  " m64int     ", 0, " ", 0
            db  " ", 0, " ", 0
            db  " ST or ST(0)", 0, "The top element of the FPU register stack.", 0
            db  " ", 0, " ", 0
            db  " ST(i)      ", 0, "The i th element from the top of the FPU register stack.", 0
            db  " ", 0, "(i = 0 through 7)", 0
            db  " ", 0, " ", 0
            db  " mm         ", 0, "An MMX register. The 64-bit MMX registers are: MM0", 0
            db  " ", 0, "through MM7.", 0
            db  " ", 0, " ", 0
            db  " mm/m32     ", 0, "The low order 32 bits of an MMX register or a 32-bit", 0
            db  " ", 0, "memory operand. ", 0
            db  " ", 0, " ", 0
            db  " mm/m64     ", 0, "An MMX register or a 64-bit memory operand. ", 0
            db  0
szDummy     db  "Unused", 0

.data?
;---------------------------------------
hInstance   HINSTANCE   ?
hList1      dd  ?
hList2      dd  ?
hList3      dd  ?
szFlag      dd  ?

.code
;---------------------------------------
start:
     invoke  GetModuleHandle, 0
     mov     hInstance, eax
     invoke  DialogBoxParam, hInstance, IDD_DLG1, NULL, addr DlgProc, NULL
     invoke  ExitProcess, eax

DlgProc proc hhWnd:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
;---------------------------------------
    .if uMsg ==  WM_INITDIALOG
      invoke  InitCommonControls
      invoke  GetDlgItem, hhWnd, IDC_LIST1
      mov     hList1, eax
      invoke  GetDlgItem, hhWnd, IDC_LIST2
      mov     hList2, eax
      invoke  GetDlgItem, hhWnd, IDC_LIST3
      mov     hList3, eax
      invoke  InsertColumns, hList1, offset szColumn1, \
              offset szColumn2, offset szColumn3
      invoke  InsertColumns, hList2, offset szColumn1, \
              offset szColumn2, offset szColumn3
      mov     szFlag, 1
      invoke  InsertColumns, hList3, offset szColumn4, offset szColumn5, offset szDummy
      mov     szFlag, 0
      invoke  AddItems, hList1, addr Table1
      invoke  AddItems, hList2, addr Table2
      mov     szFlag, 1
      invoke  AddItems, hList3, addr Table3
    .elseif uMsg ==  WM_COMMAND
      mov     eax, wParam
      .if eax == IDM_EXIT
        invoke  EndDialog, hhWnd, 0
      .endif
    .elseif uMsg ==  WM_CLOSE
      invoke  EndDialog, hhWnd, 0
    .else
      mov     eax, FALSE
      ret
    .endif
    mov     eax, TRUE
    ret
;---------------------------------------
DlgProc endp

InsertColumns  proc hList, lpHead1, lpHead2, lpHead3
;---------------------------------------
    local   lvc:LV_COLUMN

    pushad
    mov     lvc.imask,LVCF_TEXT+LVCF_WIDTH+LVCF_FMT
    mov     lvc.fmt,LVCFMT_LEFT
    push    lpHead1
    pop     lvc.pszText
    .if szFlag == 0
      mov     lvc.lx,80
    .else
      mov     lvc.lx,65
    .endif
    invoke  SendMessage,hList,LVM_INSERTCOLUMN,0,addr lvc
    push    lpHead2
    pop     lvc.pszText
    .if szFlag == 0
      mov     lvc.lx,140
    .else
      mov     lvc.lx,301
    .endif
    invoke  SendMessage,hList,LVM_INSERTCOLUMN,1,addr lvc
    .if szFlag == 0
      push    lpHead3
      pop     lvc.pszText
      mov     lvc.lx,240
      invoke  SendMessage,hList,LVM_INSERTCOLUMN,2,addr lvc
    .endif
    Invoke  SendMessage, hList, LVM_SETEXTENDEDLISTVIEWSTYLE, 0, \
            LVS_EX_FULLROWSELECT OR LVS_EX_LABELTIP OR LVS_EX_GRIDLINES
    popad
    ret
;---------------------------------------
InsertColumns endp

AddItems proc hList, table
;---------------------------------------
    LOCAL lvi:LV_ITEM

    mov     esi, table
    mov     lvi.iItem, 0
    mov     lvi.lParam,0
next:
    mov     lvi.imask, LVIF_TEXT
    mov     lvi.iSubItem, 0
    mov     lvi.pszText, esi
    Invoke  SendMessage, hList, LVM_INSERTITEM, 0, ADDR lvi
    mov     lvi.imask, LVIF_TEXT
    mov     lvi.iSubItem, 1
@@: add     esi, 1
    cmp     byte ptr [esi], 0
    jne     @b
    add     esi, 1
    mov     lvi.pszText,esi
    Invoke  SendMessage, hList, LVM_SETITEM, 0, ADDR lvi
    .if szFlag == 0
      mov     lvi.imask, LVIF_TEXT
      mov     lvi.iSubItem, 2
@@:   add     esi, 1
      cmp     byte ptr [esi], 0
      jne     @b
      add     esi, 1
      mov     lvi.pszText, esi
      Invoke  SendMessage, hList, LVM_SETITEM, 0, ADDR lvi
    .endif
@@: add     esi, 1
    cmp     byte ptr [esi], 0
    jne     @b
    add     esi, 1
    inc     lvi.iItem
    inc     lvi.lParam
    cmp     byte ptr [esi], 0
    jne     next
    ret;---------------------------------------
AddItems endp

    end start
